Haketilo/Hydrilla 3.0b1 x86 relocatable binary fails to find Python program console_scripts entry
points
Description

In the relocatable binary package, there are many references to /gnu that seem like they should point to files in the package. For
example, in https://hydrilla.koszko.org/downloads/haketilo-and-hydrilla-bin-3.0b1-x86_64.tar.gz ,
J/gnu/store/yym5qli1d05wgmshz4c7wvhylwfdbwlk-mitmproxy-8.1.1/bin/mitmproxy sets the GUIX_PYTHONPATH value to something
starting with "/gnu/store/yym5qli1d05wgmshz4c7wvhylwfdbwlk-mitmproxy-8.1.1/", and although my /gnu/store folder does have some
folders ending in "mitmproxy-8.1.1", they are pmknz0ak8wy5vyzrciiwxbhyhcf8ps5m-mitmproxy-8.1.1 and
gpk0i5i4b6ssgnmg7qg8nflwd3bvxsfmf-mitmproxy-8.1.1 .

For reasons that | think are related to this, ./haketilo --version shows

Traceback (most recent call last):
File "/gnu/store/ziiryffcgph9jjcldz4rv2x5v6yOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 33, i
n <module>
sys.exit (load_entry_point ('hydrilla==3.0bl', 'console_scripts', 'haketilo') ())
File "/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 25, i
n importlib_load_entry_point
return next (matches) .load()
StopIteration

I have no folder in /gnu/store beginning with "zii".

For reasons | do not understand, using sudo (i.e. sudo ./haketilo --version) does not produce this error, and outputs the
version/copyright/license/warranty properly. The actual proxy doesn't work this way because it's looking at /root instead of
/homef/jacobk | think. If the problem really was absolute vs relative paths, then | think sudo wouldn't help, so it seems likely that the
issue is something entirely different, but I'm not sure what to look for.

Installing from source using Guix fails with a similar message:

Traceback (most recent call last):
File "/gnu/store/4v76basixk811gp95sjwmx859vp6lysn—-hydrilla-3.0bl/bin/.haketilo-real", line 33, i
n <module>
sys.exit (load_entry_point ('hydrilla==3.0bl', 'console_scripts', 'haketilo') ())
File "/gnu/store/4v76basixk81l1gp95sjwmx859vp6lysn-hydrilla-3.0bl/bin/.haketilo-real", line 25, i
n importlib_load_entry_point
return next (matches) .load()
StopIteration

History

#1 - 10/13/2022 03:14 AM - jacobk

Also, installing the python wheel does work, but in my case it gives the error in script /home/jacobk/.haketilo/addon.py: cannot import name 'tls' from
'mitmproxy’ (/usr/lib/python3/dist-packages/mitmproxy/__init__.py) when actually running the proxy, but | think that's just because Trisquel's version of
mitmproxy is 4.x instead of 8.x and so there's some features missing.

#2 - 10/13/2022 08:56 AM - koszko
https://hydrilla.koszko.org/downloads/haketilo-and-hydrilla-bin-3.0b1-x86_64.tar.gz

- Status changed from New to In Progress

- Priority changed from Normal to Immediate

That's very bad. Thank you for reporting at least...
The absolute paths are intended. When we run one of the programs, it utilizes user namespaces (with a fallback to proot) to mount ./gnu at /gnu.

The actual error indicates that for some reason Python cannot find the egg info of hydrilla. As if either PYTHONPATH was being set incorrectly by
Guix or the mounting/linking of files/directories was broken.

Does your Trisquel system support user namespaces? Can you try mounting /gnu manually with (as a normal, unprivileged user)
unshare -Urm

mount --bind ./gnu/ /gnu/
/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/haketilo --version

If it is indeed a user namespaces problem, the first line should result with an error. Also, | know from past experience that running in a chroot or in
another user namespace might be causing user namespaces to be unavailable.

The binaries are supposed to fall back to PRoot if user namespace cannot be created. Perhaps they are (for whatever reason) failing to detect that
the fallback is indeed needed?

It would be interesting to see if it works when using PRoot manually. Do you want to try this out? If so, make sure PRoot is installed on your system
and run

proot -b ./gnu/:/gnu bash
/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/haketilo --version

As to installing from source, | have no idea what could be causing problems as there's no bind mounting involved. Did you use the source release
tarball and the following command from README.md?

guix environment -L . —--ad-hoc -e '(@ (hydrilla) hydrilla)'

jacobk wrote:

Also, installing the python wheel [...] in my case it gives the error [...] | think that's just because Trisquel's version of mitmproxy is 4.x instead of
8.x and so there's some features missing.

Indeed, mitmproxy is incompatible across major version updates. Some issues forced me to depend exclusively on 8.x. In fact, the hydrilla Python
package by itself does not depend on mitmproxy. It's "extras" (e.g. hydrilla[haketilo]) do. So, if instead

python3 -m pip install path/to/hydrilla-3.0bl-py3-none—-any.whl

you do

python3 -m pip install path/to/hydrilla-3.0bl-py3-none-any.whl[haketilo]

it should completely refuse to install alongside an old version of mitmproxy.
#3 - 10/13/2022 09:02 AM - koszko

- Subject changed from Haketilo/Hydrilla 3.0b1 x86 relocatable binary references files in /gnu rather than using relative paths to Haketilo/Hydrilla 3.0b1
Xx86 relocatable binary fails to find Python program console_scripts entry points

#4 - 10/13/2022 11:21 AM - koszko

Btw, how did you extract the tarball? Perhaps we've been doing this differently?
Another thing you can try is setting the GUIX_EXECUTION_ENGINE variable when running programs from the tarball.

GUIX_EXECUTION_ENGINE=proot ./haketilo —--version

As a side note, | found out another bug - Haketilo forgets to create ~/.haketilo/store/. | already fixed it in the source and the fix will be included in a
"-beta2" release once | make it. However, I'd first like to have your issue fixed before making subsequent pre-releases. If you somehow get past your
current errors, you can just create the directory manually

#5 - 10/13/2022 05:10 PM - jacobk

The instructions starting with "unshare" work fine, up until /gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0Okxgh-hydrilla-3.0b1/bin/haketilo --version which gives
the same error as before.

The instructions starting with "proot -" say bash: /home/jacobk/.guix-profile/etc/profile: No such file or directory when running the first command, and
then the second command gives the same error as before.

| did use the source tarball, and | thought | ran guix environment -L . --ad-hoc -e '(@ (hydrilla) hydrilla)'. When running the command again today, | got

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%

substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%

The following derivation will be built:
/gnu/store/yyvfaljw2sr9cjfchigxhz87xxdcvb9z-hydrilla-3.0bl.drv

building /gnu/store/yyvfaljw2sr9cjfchigxhz87xxdcvb9z-hydrilla-3.0bl.drv...
The following derivation will be built:
/gnu/store/0gbvvzi2h4523rrqpfhbp9bxf337yfwI-profile.drv

applying 30 grafts for hydrilla-3.0bl
building CA certificate bundle...
listing Emacs sub-directories...
building fonts directory...

building directory of Info manuals...
building profile with 1 package...

and haketilo --version outputs correctly. Maybe the updated substitutes fixed the problem, or maybe (probably) | ran the wrong command yesterday.
Though, now when actually running the proxy I'm getting the in script /home/jacobk/.haketilo/addon.py: cannot import name 'tls' from 'mitmproxy"
(/usr/lib/python3/dist-packages/mitmproxy/__init__.py) error again, even though mitmproxy --version shows 8.1.1 (which mitmproxy, while in the
ad-hoc guix environment, prints "/gnu/store/9w4pnmpa7svlhs2s1sp4hj433pyak5gf-profile/bin/mitmproxy”, which really exists.).
#6 - 10/13/2022 05:15 PM - jacobk

Also, the tls error in mtimproxy doesn't completely prevent mitmproxy from functioning, and mitm.it can be reached to install the certificate, which is
necessary to view HTTPS pages while connected to the proxy. But connecting to "hkt.mitm.it" gives multiple errors:

127.0.0.1:34238: GET https://hkt.mitm.it/

<< Server connection to ('hkt.mitm.it', 443) failed: Error connecting to "hkt.mitm.it": [Errno -2] Name or se
rvice not known

127.0.0.1:34238: clientdisconnect

127.0.0.1:34240: clientconnect

127.0.0.1:34240: CONNECT hkt.mitm.it:443

<< Cannot establish TLS with client (sni: hkt.mitm.it): TlsException ("SSL handshake error: SysCallError (-1, '
Unexpected EOF')")

| previously thought the errors were because of the earlier tls error and because of using an outdated version of mitmproxy, and this still seems to be
the case, but just in case I'm incorrect | thought this information might be useful also.

#7 - 10/13/2022 05:34 PM - jacobk

Oh also, | extracted the tarball using the engrampa (GUI) program.

#8 - 10/13/2022 05:44 PM - koszko

| did use the source tarball [...]

You mean now haketilo --version works with from-source installation and still doesn't work with the binary release | published?

I'm getting the in script /home/jacobk/.haketilo/addon.py: cannot import name 'tls' from 'mitmproxy’
(/usr/lib/python3/dist-packages/mitmproxy/__init__.py) error again, even though mitmproxy --version shows 8.1.1

That's weird - Haketilo script is trying to load the modules of globally-installed mitmproxy instead of the one from the pack. Do you have anything in
your PYTHONPATH variable?

Also, I'll look at that GUI program to see it it makes any difference (although it'd be surprising if it did)
#9 - 10/13/2022 05:50 PM - jacobk

You mean now haketilo --version works with from-source installation and still doesn't work with the binary release | published?

Yes.

Do you have anything in your PYTHONPATH variable?

No, echo $PYTHONPATH prints nothing in the guix environment or plain bash (or however it makes sense to say outside the guix environment).

#10 - 10/13/2022 06:48 PM - koszko
- File patch.patch added

Engrampa 1.24.1 from Guix seems to be unpacking the tarball properly.

Since you already know how to build from source, may | have one more request? Could you apply the attached patch inside the sources directory and
try building and running haketilo again with

guix environment -L . --ad-hoc -e '(@ (hydrilla) hydrilla)'
haketilo

This should print a dump of variables that could help us determine what causes Trisquel's mitmproxy to be imported instead of the one from the pack.
The patch can be applied with

cd path/to/unpacked/sources/tarball/
patch —-strip 1 < path/to/downloaded/patch.patch

#11 - 10/13/2022 07:30 PM - jacobk
| applied the patch, but | did not see any change in the output of haketilo. The output of guix environment -L . --ad-hoc -e (@ (hydrilla) hydrilla)' was

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
The following derivation will be built:

/gnu/store/capdhxpss462m3xi0wbjw85ggp4 f9hxx-hydrilla-3.0bl.drv

building /gnu/store/capdhxpss462m3xiOwbjw85gqp4f9hxx-hydrilla-3.0bl.drv...
The following derivation will be built:
/gnu/store/3gbi9yw7m6nmalzy7db8hln034srl43f-profile.drv

applying 30 grafts for hydrilla-3.0bl
building CA certificate bundle...
listing Emacs sub-directories...
building fonts directory...

building directory of Info manuals...
building profile with 1 package...

That the output of haketilo stayed the same makes me think I'm not actually running from source. Just to be sure, | redid the process using the
following commands (excerpt from history):

2005 wget https://hydrilla.koszko.org/downloads/haketilo-and-hydrilla-3.0bl.tar.gz
2006 gzip --help

2007 1s

2008 gzip haketilo-and-hydrilla-3.0bl.tar.gz

2009 gzip -d haketilo-and-hydrilla-3.0bl.tar.gz

2010 1s

2011 tar --help

2012 tar -xf haketilo-and-hydrilla-3.0bl.tar

2013 1s

2014 cd hydrilla-3.0bl/

2015 1s

2016 wget https://hydrillabugs.koszko.org/attachments/download/127/patch.patch
2017 1s

2018 mv patch.patch

2019 1s

2020 patch --strip 1 < ../patch.patch

2021 guix environment -L . —--ad-hoc -e '(Q@ (hydrilla) hydrilla)'

and then ran haketilo and got as the output
Loading script /home/Jjacobk/.haketilo/addon.py
in script /home/jacobk/.haketilo/addon.py: cannot import name 'tls' from 'mitmproxy' (/usr/lib/python3/dist-pa

ckages/mitmproxy/__init__ .py)
Proxy server listening at http://*:8080

So, I don't know what the problem is.

09/06/2023 6/31



#12 - 10/13/2022 07:49 PM - koszko

That the output of haketilo stayed the same makes me think I'm not actually running from source.

That's what I'm thinking, too!

One more idea - Guix documentation mentions that in some cases user's .bashrc might be clobbering shell variables. Perhaps it is setting PATH or
something in a way that causes different Haketilo to be executed? You can try

® running guix environment with a --check option that shall report issues with clobbered variables
e running guix environment with a --pure option that shall spawn a shell without reading ~/.bashrc and similar

#13 - 10/13/2022 08:10 PM - jacobk
Ah, | think that's what the problem is!

Output of guix environment -L . --check --ad-hoc -e (@ (hydrilla) hydrilla)":

guix environment: checking the environment variables visible from shell '/bin/bash'...

guix environment: warning: variable 'PATH' is clobbered: '/home/jacobk/.cargo/bin:/home/jacobk/Programs/ffmpeg
-git-20211013-amd64-static:/home/jacobk/.guix-profile/bin:/home/jacobk/.guix-profile/sbin:/home/jacobk/.local/
bin:/gnu/store/9kylrdlp645nwwj40kisa227vgnxirs3-profile/bin’

hint: One or more environment variables have a different value in the shell than

the one we set. This means that you may find yourself running code in an

environment different from the one you asked Guix to prepare.

This usually indicates that your shell startup files are unexpectedly
modifying those environment variables. For example, if you are using Bash,
make sure that environment variables are set or modified in
‘~/.bash_profile' and _not_ in "~/.bashrc'. For more information on Bash
startup files, run:

info " (bash) Bash Startup Files"

Alternatively, you can avoid the problem by passing the "--container' or
"—C' option. That will give you a fully isolated environment running in a
"container", immune to the issue described above.

Output of guix environment -L . --pure --ad-hoc -e (@ (hydrilla) hydrilla)":

Command 'lesspipe' is available in '/usr/bin/lesspipe'

The command could not be located because '/usr/bin' is not included in the PATH environment variable.
lesspipe: command not found

Command 'dircolors' is available in '/usr/bin/dircolors'

The command could not be located because '/usr/bin' is not included in the PATH environment variable.
dircolors: command not found

Command 'dircolors' is available in '/usr/bin/dircolors'

The command could not be located because '/usr/bin' is not included in the PATH environment variable.
dircolors: command not found
and then commands like ps and grep show not found, haketilo --version works properly, and haketilo gives the same tls mitmproxy python error as
before.

So then | exited and tried = and got

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%

1.6 MB will be downloaded

bash-5.1.8-doc 301KiB 112KiB/s 00:03 [#########f44444444] 100.0%
bash-5.1.8-include 67KiB 77KiB/s 00:01 [#######4##4#444444#] 100.0%

and then for haketilo --version

in launch.py os.environ is environ ({'GUIX_PYTHONPATH': '/gnu/store/lgnglhOy421x7ac4kzsx9viOlzx7cazm-hydrilla-3
.0bl/1ib/python3.9/site-packages:/gnu/store/06pzx72mv7k4mlhwwOhbkfqdngv3z59m-python-setuptools—-scm-6.3.2/1ib/p
ython3.9/site-packages:/gnu/store/9sv7cbyxrgksm5l4rsbvds883ypwfmdi-python-babel-2.9.0/1ib/python3.9/site-packa
ges:/gnu/store/fb67v15n28vslmh54nx9jfmpayb85895-python-pytest-6.2.5/1ib/python3.9/site-packages:/gnu/store/whw
dmwikdayp8pzjg83vcgcgfwlvn39x-python-pypa-build-0.7.0/1lib/python3.9/site-packages:/gnu/store/ghawmvzzslwrch9mx
8liwbfglabwfhyp-python-mypy-0.942/1ib/python3.9/site-packages:/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-pyth
on-types—-requests—2.26.0/1lib/python3.9/site-packages:/gnu/store/qpk0i5i4b6ssgqnmg7g8nflwd3bvxsfmf-mitmproxy-8.1
.1/1ib/python3.9/site-packages:/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/py
thon3.9/site-packages:/gnu/store/v301£fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/site-packag
es:/gnu/store/jvh5ivwzgnv8x1l1ldrldh51l6pdmb9jlbs-python-flask-2.1.1/1ib/python3.9/site-packages:/gnu/store/ab4d7b
r45jllzx6pyjdl86g7kgfd7mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages:/gnu/store/x4s7jng91jd5srb3bclg3fqgg
vh8577nd-python-html51ib-1.1/1ib/python3.9/site-packages:/gnu/store/9%a5rbkm0klwi9fm7zflwmcnr8m96prmy-python—im
mutables-0.19/1ib/python3.9/site-packages:/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdangerous-2.0.
1/1ib/python3.9/site-packages:/gnu/store/ii5rvjy0va7bhwh25dk0ncl2nxjj8a60-python-jsonschema-3.2.0/1ib/python3.
9/site-packages:/gnu/store/g5sca9kbgdwgyv7ppkpzlppz2g0kwhsx-reuse-0.14.0/1ib/python3.9/site-packages:/gnu/stor
e/papscspynmdi5l jmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-packages:/gnu/store/4k52mgy3c7dkgfmxgl21llzg
3k9vx6gz5-python-tomli-2.0.0/1lib/python3.9/site-packages:/gnu/store/vrlebf0Oblbzmzvckva708fpng3glcfwh-python-pa
ckaging-bootstrap-21.3/1ib/python3.9/site-packages:/gnu/store/fkx1l8fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-202
1.1/1ib/python3.9/site-packages:/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9
/site—-packages:/gnu/store/nl58q651x8dbhmxp62i345pz4zmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages:/gnu
/store/84si0j45zxgbkmvya5lyhrfj5iz0v2wx-python-six-bootstrap-1.16.0/1lib/python3.9/site-packages:/gnu/store/k49
pbvmdlv7cijhfgsgkdjgvdrd94gx7x-python-py-1.10.0/1ib/python3.9/site-packages:/gnu/store/1dh3ra00gakpp27jpl88m36r
11ij495z-python-pluggy-0.13.1/1ib/python3.9/site-packages:/gnu/store/mpcslygybwvlv6ijvail06df27nbgwwp8—python—-m
ore-itertools-8.2.0/1lib/python3.9/site-packages:/gnu/store/lhsssslmrxmsyrd4w9zv8gbpb7zncdg8-python-iniconfig-1
.1.1/1ib/python3.9/site-packages:/gnu/store/74kivpgcisn7/réon53zarspwdxgkgbll4-python-attrs-bootstrap-21.2.0/1ib
/python3.9/site-packages:/gnu/store/0pi8kjdwkszhlklgw8asm29rzm32s269-python-pep51l7-bootstrap-0.9.1/1ib/python3
.9/site-packages:/gnu/store/5whaphwnvjab8zbi3mwdra993615ndyz-python-typing-extensions-4.0.1/1ib/python3.9/site
—-packages:/gnu/store/csgkgklm3rf8f7p518m8mf2sd5Sgr9vas—python-mypy-extensions-0.4.3/1ib/python3.9/site-packages
:/gnu/store/ymzrwlr862g6s0bdibcx05g23bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages:/gnu/store/cg
x410ip27ikc9jb0clligicm2g38r71l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages:/gnu/store/487fx11lb
lcvb5ciji72z87k56133vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages:/gnu/store/adgjagl9siip20p0xhkpyjdn
jjcd654a-python-urwid-2.1.2/1ib/python3.9/site-packages:/gnu/store/ygd4vrdéwk6pwngysgb9s78vd3kjcvsba-python-tor
nado-6.1/1ib/python3.9/site-packages:/gnu/store/01l4qgywhp7c7lic3gsdvzwmvi0lizf9r2-python-sortedcontainers-2.1.0
/lib/python3.9/site-packages:/gnu/store/1318gg8jgz4g365idwgcadm94hk7/mday-python-ruamel.yaml-0.16.13/1ib/python
3.9/site-packages:/gnu/store/aclnj53rpn8ki2npalsébcrcprgfizg6-python-pyperclip-1.8.2/1ib/python3.9/site-packag
es:/gnu/store/£f9a6smln5z5240d9k1mk5jg8bbémngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-packages:/gnu/store/y
wd681x121n82g6ckggyymbkx4dxydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages:/gnu/store/402g4rs62bn5xzk
xdwbmshgddbv2ribp-python-protobuf-3.20.1/1ib/python3.9/site-packages:/gnu/store/y2yllgisw2rcOyqgjhdy6xjpml5ggz4
fv-python-passlib-1.7.4/1ib/python3.9/site-packages:/gnu/store/gb95h77225vk3dnnvzgpbhpdl 92v7w2h-python-msgpack
-1.0.3/1ib/python3.9/site-packages:/gnu/store/alldapk3imhbv011g37hg9viwdjzgvlb-python-1dap3-2.7/1ib/python3.9/
site-packages:/gnu/store/vni7bai89v2l2agky7aihvflkwdd6iwr-python-kaitaistruct-0.10/1ib/python3.9/site-packages
:/gnu/store/8z52kxfrn9bnghi5zvaga’b9ss7hg9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages:/gnu/store/rw
pkarm75994injw9lmf687p6xbylgbx—-python-h2-4.1.0/1ib/python3.9/site-packages:/gnu/store/v8gnbynwgznlrbvd2xv5cj30
4020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages:/gnu/store/1lmi55b4fmdr206ii6gmwrdgzafn0b97r-python-cryp
tography-36.0.1/1ib/python3.9/site-packages:/gnu/store/5fxcvip9gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/11
b/python3.9/site-packages:/gnu/store/i9ddvyf9vgzmfxh28slbilzc8xyk8zn5-python-blinker-1.4/1ib/python3.9/site-pa
ckages:/gnu/store/yxxandg091lnlwwmsjjad60wpd5z9vcli-python-asgiref-3.4.1/1ib/python3.9/site-packages:/gnu/store
/bj5dlalasmnzh9ggxjcgbbwadfwwI6gd-python-1xml-4.6.3/1lib/python3.9/site-packages:/gnu/store/5nk331ifpxxljrwvsamb
dcenxwrxglkjwi-python-soupsieve-2.2.1/1ib/python3.9/site-packages:/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-p
ython-werkzeug-2.0.2/1ib/python3.9/site-packages:/gnu/store/idwg7yli7lkdaadgavé6xn5xzb6rkcp20-python-jinja2-3.1
.1/1ib/python3.9/site-packages:/gnu/store/bxrhégxczls7wf35kfvdOp4n8hk0428m-python-importlib-metadata-4.11.3/11
b/python3.9/site-packages:/gnu/store/qlckfz5343r32c3dvykwj05ybsfl10hg7-python-chardet-3.0.4/1ib/python3.9/site—
packages:/gnu/store/g53zkrl19vz43mrx9h0gigj31f4smndll-python-webencodings-0.5.1/1ib/python3.9/site—-packages:/gn
u/store/cl3nc3lbzgjifp5c4£fz0g0h34bjaibf6-python-six-1.16.0/1lib/python3.9/site-packages:/gnu/store/q06w09£937g5
dkwwb3sfg8zdgygnOgil-python-pyrsistent-0.16.0/1ib/python3.9/site-packages:/gnu/store/88rlck93vmrdsavfm2hh99gzz
dsdaaf7-python-attrs-21.2.0/1lib/python3.9/site-packages:/gnu/store/wzkwypg2wx3k21lswd8zmjgnvcczzzcxi—python-whe
el-0.37.0/1ib/python3.9/site-packages:/gnu/store/Tmcfghl6v32k7bwdcv59bh9yqglkippxf-python-filelock-3.0.12/1ib/p
ython3.9/site-packages:/gnu/store/fhiv69glcxg9grxawwbxpagqqj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-pac
kages:/gnu/store/261dzj9xcirdrh7narm79gqgca2ka3dh-python-appdirs—1.4.3/1ib/python3.9/site-packages:/gnu/store/
diymlfxk82db89yn55vggh4923irqgqgh8-python-ruamel.yaml.clib-0.2.6/1lib/python3.9/site-packages:/gnu/store/myxyl0Onn
61lnrpfyvx20rgd4leokmc25kl-python-becrypt-3.2.0/1ib/python3.9/site-packages:/gnu/store/6hb6zs58giadz75xgf32d4c82qg
h8iavd-python-pyasnl-0.4.8/1lib/python3.9/site-packages:/gnu/store/m0x8jwdhipOp7gmlpfgvécfgikh9aspz-python-gssa
pi-1.6.12/1ib/python3.9/site-packages:/gnu/store/kjyl2km9wabmpcfw2mg7r5rdx3g471lgl-python-hpack-4.0.0/1ib/pytho
n3.9/site-packages:/gnu/store/J1x0r8vnrl7ywdls9g9cmijlgwlkznlmv-python-1s08601-0.1.13/1ib/python3.9/site-packag
es:/gnu/store/wdhxd7w2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages:/gnu/store/p09ad3p
wazgjcfblzw941lmwg0jgd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages:/gnu/store/5i1flcg3fn6mx3k20pv5pak2vn
d3ybxd-python-asnlcrypto-1.4.0/1lib/python3.9/site-packages:/gnu/store/jbxjcwhb2fénkigzrfdgp8avx/yckbys—-python-
requests-2.26.0/1lib/python3.9/site-packages:/gnu/store/9qikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.
1/1ib/python3.9/site-packages:/gnu/store/613kcbcgicf9acviOhvdarbfnz6pzx3j-python-zipp-1.0.0/1ib/python3.9/site
-packages:/gnu/store/fl0aa3gbahl4mgmwdl 6xn0wbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages:/gnu/
store/m5p8iinvgbylsym6jlbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages:/gnu/store/jm4dg8vksm
agq7mcbkgllbwpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages:/gnu/store/vwbx61lb3ihpnwc2djdigghwaldy
gb8dcg-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages:/gnu/store/hyglphskalgknm3g0jfdzk820plgl551
-python-certifi-2020.12.5/1ib/python3.9/site-packages:/gnu/store/d39swwikpd2vEiTwxgkb9ig2ydbg519bb-python-pysoc

ks-1.7.1/1ib/python3.9/site-packages', 'PWD': '/home/jacobk/Programs/Haketilo-source/hydrilla-3.0bl"', 'LOGNAME
': 'jacobk', 'TEMPDIR': '/tmp', 'HOME': '/home/jacobk', 'TMPDIR': '/tmp', 'USER': 'jacobk', 'TEMP': '/tmp', 'S
HLVL': '1l', 'GUIX_ENVIRONMENT': '/gnu/store/9kylrdlp645nwwj40kisa227vgnxirs3—-profile', 'IMP': '/tmp', 'PATH':

'/gnu/store/9kylrdlp645nwwij40kisa227vgnxirs3-profile/bin'})

in launch.py sys.path is ['/gnu/store/lgnglhOy421x7ac4kzsx9viOlzx7cazm-hydrilla-3.0bl/bin', '/gnu/store/papscs
pynmdi51jmngw5x5wbi9ijclxj-python-3.9.9/1ib/python39.zip', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python
-3.9.9/1ib/python3.9', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/1ib-dynload', '
/gnu/store/lgnglhOy421x7acdkzsx9vilOlzx7cazm-hydrilla-3.0bl/lib/python3.9/site-packages', '/gnu/store/06pzx72mv
7k4mlhww9hbkfgqdngv3z59m-python-setuptools-scm-6.3.2/1ib/python3.9/site-packages', '/gnu/store/9sv7cbyxrgksm514
rsbvds883ypwfmd4i-python-babel-2.9.0/1ib/python3.9/site-packages', '/gnu/store/fb67v15n28vslmh54nx9jfmpayb85895
-python-pytest-6.2.5/1ib/python3.9/site-packages', '/gnu/store/whwidmwikdayp8pzjg83vcgcgfwlvn39x—-python-pypa-bu
11d-0.7.0/1lib/python3.9/site-packages', '/gnu/store/ghawmvzzslwrch9mx8liwbfglabwfhyp-python-mypy-0.942/1ib/pyt
hon3.9/site-packages', '/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-python-types-requests-2.26.0/1ib/python3.9
/site-packages', '/gnu/store/qpk0i5idb6ssgnmg7g8nflwd3bvxsfmf-mitmproxy-8.1.1/1ib/python3.9/site-packages', '/
gnu/store/2hqai8plqgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/python3.9/site-packages', '/gnu/st
ore/v301£fyk48gm977a8his728ck0f7/mhyyg-python-click-8.1.2/1ib/python3.9/site-packages', '/gnu/store/jvh5ivwzgnv8
x11drldh516pdmb9jlbs-python-flask-2.1.1/1ib/python3.9/site-packages', '/gnu/store/ab4d7brd4531lzx6pyjdl86g7kgfd’
mnkb-python-gnupg-0.4.8/1lib/python3.9/site-packages', '/gnu/store/x4s7jng91jdSsrb3bclg3fqgvh8577nd-python-html
51ib-1.1/1ib/python3.9/site-packages', '/gnu/store/9a5rbkmOklwi9fm7zflwmcnr8m96prmy-python-immutables-0.19/1ib
/python3.9/site-packages', '/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdangerous-2.0.1/1ib/python3.
9/site-packages', '/gnu/store/ii5rvijyOva7bhwh25dk0ncl2nxjj8a60-python-jsonschema-3.2.0/1lib/python3.9/site-pack
ages', '/gnu/store/g5sca9kbgdwayvippkpzlppz2g0kwhsx-reuse-0.14.0/1ib/python3.9/site-packages', '/gnu/store/4k5
2mqy3c7dkgfmxgl211zgq3k9vx6gz5-python-tomli-2.0.0/1lib/python3.9/site-packages', '/gnu/store/vrlébflOblbzmzvckva’
08fpng3glcfwh-python-packaging-bootstrap-21.3/1lib/python3.9/site-packages', '/gnu/store/fkxl8fnk6cab2jr2ymafmd
18x7x9pdj9-python-pytz-2021.1/1ib/python3.9/site-packages', '/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-pytho
n-wcwidth-0.1.8/1ib/python3.9/site-packages', '/gnu/store/nl58g651x8dbhmxp621i345pz4zmpidrl-python-toml-0.10.2/
lib/python3.9/site-packages', '/gnu/store/84si0j45zxgbkmvya5lyhrfj5iz0v2wx—-python-six-bootstrap-1.16.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/k49pbvmdlv7cihfgsgkdjgvdrd94gx7x-python-py-1.10.0/1lib/python3.9/site-packag
es', '/gnu/store/1ldh3ra00gakpp27jpl88m36rllijd95z-python-pluggy-0.13.1/1ib/python3.9/site-packages', '/gnu/sto
re/mpcslygybwvlv6jvail06df27nbgwwp8-python-more-itertools-8.2.0/1lib/python3.9/site-packages', '/gnu/store/lhss
sslmrxmsyrd4w9zv8gbpb7zncdg8-python-iniconfig-1.1.1/1ib/python3.9/site-packages', '/gnu/store/74kivpgcisnirén5
3zarspwdxgkgbll4d-python-attrs-bootstrap-21.2.0/1ib/python3.9/site-packages', '/gnu/store/0Opi8kjdwkszhlklgw8asm
29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.9/site-packages', '/gnu/store/5whaphwnvjab8zbi3mw4dra9936
15n4yz-python-typing-extensions-4.0.1/1ib/python3.9/site-packages', '/gnu/store/csqgkgklm3rf8f7p518m8mf2sd5qrov
as-python-mypy-extensions-0.4.3/1ib/python3.9/site-packages', '/gnu/store/ymzrwlr862g6s0bdibcx05923bdl4rp9-pyt
hon-zstandard-0.15.2/1ib/python3.9/site-packages', '/gnu/store/cgx410ip27ikc9jb0clligicm2g38r7l-python-publics
uffix2-2.20191221/1ib/python3.9/site-packages', '/gnu/store/487fx1llblcv5ciji72z87k561j3vrrlz-python-wsproto-0.
15.0/1ib/python3.9/site-packages', '/gnu/store/adgjagl9siip20p0xhkpyjdnjjcd6e54a-python-urwid-2.1.2/1ib/python3
.9/site-packages', '/gnu/store/yg4vrdéwk6pwngysgb9s78vd3kjcvs6a-python-tornado-6.1/1lib/python3.9/site-packages
', '/gnu/store/0l4gywhp7c7lic3gsdvzwmvf0lizf9r2-python-sortedcontainers-2.1.0/1ib/python3.9/site-packages', '/
gnu/store/13189gg8jgz4g365idwgcadm94hk7/mday-python-ruamel.yaml-0.16.13/1ib/python3.9/site-packages', '/gnu/stor
e/aclnj53rpn8ki2npals6bcrcprgfizg6-python-pyperclip-1.8.2/1ib/python3.9/site-packages', '/gnu/store/f9a6smln5z
5240d9k1mk5jg8b6mngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-packages', '/gnu/store/ywd681x121n82g6ckggyym
bkx4dxydgk2-python-pyopenssl-22.0.0/1lib/python3.9/site-packages', '/gnu/store/402g4rs62bn5xzkxdwbmshgddbv2ribp—
python-protobuf-3.20.1/1ib/python3.9/site-packages', '/gnu/store/y2yllgisw2rcOyqjhd4y6xjpml5ggz4fv-python-passl
ib-1.7.4/1ib/python3.9/site-packages', '/gnu/store/gb95h77225vk3dnnvzgpbhpdl92viw2h-python-msgpack-1.0.3/1ib/p
ython3.9/site-packages', '/gnu/store/alldapk3imhbv011g37hg9viwdjzgvlb-python-1ldap3-2.7/1lib/python3.9/site-pack
ages', '/gnu/store/vni7bai89v212agky7aihvflkwddéiwr-python-kaitaistruct-0.10/1ib/python3.9/site-packages', '/g
nu/store/8z52kxfrn9bnghi5zvaga’b9ss7hg9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages', '/gnu/store/rw
pkgrm75994injw9lmf687p6xbylgbx—python-h2-4.1.0/1ib/python3.9/site-packages', '/gnu/store/v8gnbynwgznlrbvd2xv5c
3304020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages', '/gnu/store/1lmi55b4fmdr206ii6gmwrdgzafn0b97r-pytho
n-cryptography-36.0.1/1ib/python3.9/site-packages', '/gnu/store/5fxcvOp9gamcvwlib9jpbxlxyb3iahlh-python-brotli
-1.0.9/1ib/python3.9/site-packages', '/gnu/store/i19ddvyf9vgzmfxh28slbilzc8xyk8zn5-python-blinker-1.4/1ib/pytho
n3.9/site-packages', '/gnu/store/yxxandg09lnlwwmsjjad60wpd5z9vcli-python-asgiref-3.4.1/1ib/python3.9/site—-pack
ages', '/gnu/store/bj5dlalasmnzh9ggxjcgb6wadfwwdegd-python-1xml-4.6.3/1ib/python3.9/site-packages', '/gnu/stor
e/5nk331fpxxljrwvsambdcnxwrxglk jwi-python-soupsieve-2.2.1/1ib/python3.9/site-packages', '/gnu/store/5b7kyvxmsi
p8idphsdsfv48synwn0964—-python-werkzeug-2.0.2/1ib/python3.9/site-packages', '/gnu/store/idwg7yli7lkdaadgav6xn5x
zb6rkcp20-python-jinja2-3.1.1/1ib/python3.9/site-packages', '/gnu/store/bxrh6gxczls7wf35kfvd0p4n8hk0428m-pytho
n-importlib-metadata-4.11.3/1ib/python3.9/site-packages', '/gnu/store/glckfz534jr32c3dvykwj05ybsfl0hg7-python-
chardet-3.0.4/1ib/python3.9/site-packages', '/gnu/store/g53zkrl9vz43mrx9h0gigj31lfdsmn4ll-python-webencodings-0
.5.1/1ib/python3.9/site-packages', '/gnu/store/cl3nc3lbzgjifp5c4fz0g0h34bjaibf6-python-six-1.16.0/1ib/python3.
9/site-packages', '/gnu/store/q06w09f937g54kwwb3sfg8zdgygnlOgil-python-pyrsistent-0.16.0/1ib/python3.9/site-pac
kages', '/gnu/store/88rlck93vmrdsavfm2hh99gzzdsdaaf7-python-attrs-21.2.0/1ib/python3.9/site-packages', '/gnu/s
tore/wzkwypg2wx3k21lswd8zmjgnvcczzzcxi-python-wheel-0.37.0/1ib/python3.9/site-packages', '/gnu/store/7mcfghlé6v3
2k 7bwidcv59bh9yqglkippxf-python-filelock—-3.0.12/1ib/python3.9/site-packages', '/gnu/store/fhiv69glcxg9grxawwbxpa
gqgj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-packages', '/gnu/store/261dzj9xcirdrh7narm79gqgca2ka3dh-pyt
hon-appdirs-1.4.3/1ib/python3.9/site-packages', '/gnu/store/diymlfxk82db89yn55vqgh4923irqgh8-python-ruamel.yam
1.clib-0.2.6/1ib/python3.9/site-packages', '/gnu/store/myxylOnné6lnrpfyvx20rg44lekmc25kl-python-bcrypt-3.2.0/11
b/python3.9/site-packages', '/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd-python-pyasnl-0.4.8/1ib/python3.9/sit
e-packages', '/gnu/store/m0x8jwdhipOp7gmlpfgvécfg7kh9aspz-python-gssapi-1.6.12/1ib/python3.9/site-packages', '
/gnu/store/kjyl2km9wabmpcfw2mg/r5rdx3g471lgl-python-hpack-4.0.0/1ib/python3.9/site-packages', '/gnu/store/jlx0r
8vnrl7ywdls9g9cmjlgwlkznlmv-python-iso8601-0.1.13/1ib/python3.9/site-packages', '/gnu/store/wdhxd7w2nlwjdyj2yg
3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages', '/gnu/store/p09ad3pwazgjcfblzw94lmwg0jgd4lzp-pyt
hon-cffi-1.14.4/1ib/python3.9/site-packages', '/gnu/store/5i1flcg3fnémx3k20pvSpak2vnd3ybxd-python-asnlcrypto-1
.4.0/1ib/python3.9/site-packages', '/gnu/store/jbxjcwhb2fénkigzrfigp8avx7yckbys-python-requests-2.26.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.1/1ib/python3.9/site
-packages', '/gnu/store/613kcbcgicf9acvilOhvdarbfnzépzx3j-python-zipp-1.0.0/1ib/python3.9/site-packages', '/gnu
/store/f0aa3gbahl4imgmwdl 6xnOwbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages', '/gnu/store/m5p8i
invgbylsym6jlbg9vp27cr7ybOg-python-pycparser-2.20/1ib/python3.9/site-packages', '/gnu/store/jmd4dg8vksmagimcbkg
115wpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages', '/gnu/store/vwbx6lb3ihpnwc2dj4igghwa8ygb8dc
g-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages', '/gnu/store/hyglphskalgknm3q0jfdzk820plgl55i-p
ython-certifi-2020.12.5/1ib/python3.9/site-packages', '/gnu/store/d39swwikp42viTwxgkb9ig2ydbg519bb-python-pyso
cks-1.7.1/1ib/python3.9/site-packages', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.
9/site-packages']

in launch.py sys.executable is /gnu/store/fby61226w8kh2mwkzpjpajmgy0glkxli-python-wrapper-3.9.9/bin/python
Haketilo proxy 3.0bl

Copyright (C) 2021,2022 Wojtek Kosior and contributors.

License GPLv3+: GNU AGPL version 3 or later <https://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.

Output of haketilo:

in launch.py os.environ is environ ({'GUIX_PYTHONPATH': '/gnu/store/lgnglhOy42lx7ac4kzsx9viOlzx7cazm-hydrilla-3
.0bl/1lib/python3.9/site-packages:/gnu/store/06pzx72mv7kdmlhwwohbkfgdngv3z59m-python-setuptools—-scm-6.3.2/1ib/p
ython3.9/site—-packages:/gnu/store/9svic6yxrgksm51l4rsbvds883ypwfm4i-python-babel-2.9.0/1ib/python3.9/site-packa
ges:/gnu/store/fb67v15n28vslmh54nx9jfmpayb85895-python-pytest-6.2.5/1ib/python3.9/site-packages:/gnu/store/whw
dmwikdayp8pzjg83vcgcgfwlvn39x—python-pypa-build-0.7.0/1lib/python3.9/site-packages:/gnu/store/ghawmvzzslwrch9mx
8liwbfglabwfhyp-python-mypy-0.942/1ib/python3.9/site-packages:/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-pyth
on-types-requests-2.26.0/1ib/python3.9/site-packages:/gnu/store/qpk0i5i4b6ssgnmg7g8nflwd3bvxsfmf-mitmproxy-8.1
.1/1ib/python3.9/site-packages:/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/py
thon3.9/site—-packages:/gnu/store/v301£fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/site-packag
es:/gnu/store/jvh5ivwzgnv8x1l1ldrldh516pd4mb9jlbs-python-flask-2.1.1/1ib/python3.9/site-packages:/gnu/store/ab4d7b
r45j1lzx6pyjdl86g7kgfd/mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages:/gnu/store/x4s7jng91jd5srb3bclgl3fqg
vh8577nd-python-html51ib-1.1/1ib/python3.9/site-packages:/gnu/store/9a5rbkm0klwi9fm7zflwmcnr8m96prmy-python—im
mutables-0.19/1ib/python3.9/site-packages:/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdangerous-2.0.
1/1ib/python3.9/site-packages:/gnu/store/1i5rviy0va’/bhwh25dk0ncl2nxjj8a60-python-jsonschema-3.2.0/1lib/python3.
9/site—-packages:/gnu/store/g5sca9kbgdwqgyvippkpzlppz2g0kwhsx-reuse-0.14.0/1ib/python3.9/site-packages:/gnu/stor
e/papscspynmdib5l jmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-packages:/gnu/store/4k52mgy3c7dkgfmxgl21llzg
3k9vx6gz5-python-tomli-2.0.0/1lib/python3.9/site-packages:/gnu/store/vrl6bf0blbzmzvckva708fpng3glcfwh-python-pa
ckaging-bootstrap-21.3/1lib/python3.9/site-packages:/gnu/store/fkxl8fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-202
1.1/1ib/python3.9/site-packages:/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9
/site-packages:/gnu/store/nl58g651x8dbhmxp621345pz4zmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages:/gnu
/store/84si0j45zxgbkmvya5lyhrfj5iz0v2wx-python-six—-bootstrap-1.16.0/1ib/python3.9/site-packages:/gnu/store/k49
pbvmdlv7cjhfgsgkdjgvdrd94gx7x-python-py-1.10.0/1ib/python3.9/site-packages:/gnu/store/1dh3ra00gakpp27jpl88m36r
111j495z-python-pluggy-0.13.1/1ib/python3.9/site-packages:/gnu/store/mpcslygybwvlv6jvail0e6df27nbgwwp8-python-m
ore—itertools—-8.2.0/1lib/python3.9/site-packages:/gnu/store/lhsssslmrxmsyrd4w9zv8gbpb7zncdg8-python-iniconfig-1
.1.1/1ib/python3.9/site-packages:/gnu/store/74kivpgcjsn7r6n53zarspwdxgkgbll4-python-attrs-bootstrap-21.2.0/1ib
/python3.9/site-packages:/gnu/store/0pi8kjdwkszhlklgw8asm29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3
.9/site-packages:/gnu/store/5whaphwnvjab8zbi3mw4ra993615ndyz—python-typing-extensions—-4.0.1/1ib/python3.9/site
-packages:/gnu/store/csgkgklm3rf8f7p518m8mf2sd5grIvas—-python-mypy-extensions-0.4.3/1ib/python3.9/site-packages
:/gnu/store/ymzrwlr862g6s0bdibcx05923bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages:/gnu/store/cg
x410ip27ikc9jb0clligicm2g38r71l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages:/gnu/store/487£fx11lb
1lcv5ciji72z87k561j3vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages:/gnu/store/adgjagl9siip20p0xhkpyjdn
jjcd654a-python-urwid-2.1.2/1ib/python3.9/site-packages:/gnu/store/ygdvrdéwk6pwngysgb9s78vd3kjcvsba-python-tor
nado-6.1/1lib/python3.9/site-packages:/gnu/store/01l4qywhp7c7lic3gsdvzwmvi0lizf9r2-python-sortedcontainers-2.1.0
/1lib/python3.9/site-packages:/gnu/store/1318qg8jgz4g365idwgcadm94hk7/mday-python-ruamel.yaml-0.16.13/1ib/python
3.9/site-packages:/gnu/store/aclnj53rpn8ki2npalsébcrcprgf7zg6-python-pyperclip-1.8.2/1ib/python3.9/site-packag
es:/gnu/store/f9a6smln5z5240d9%k 1mk5jg8b6mngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-packages:/gnu/store/y
wd681x121n82g6ckggyymbkx4xydgk2-python-pyopenssl-22.0.0/1lib/python3.9/site-packages:/gnu/store/402g4rs62bnbxzk
xdwbmshgddbv2ribp-python-protobuf-3.20.1/1ib/python3.9/site-packages:/gnu/store/y2yllgisw2rcOygjhdy6xjpml5ggz4
fv-python-passlib-1.7.4/1ib/python3.9/site-packages:/gnu/store/gb95h77225vk3dnnvzgpbhpdl 92v7w2h-python-msgpack
-1.0.3/1ib/python3.9/site-packages:/gnu/store/alldapk3jmhbv011g37hg9v4wd jzgvlb-python-1ldap3-2.7/1lib/python3.9/
site-packages:/gnu/store/vni7bai89v2l2agky7aihvflkwdd6iwr-python-kaitaistruct-0.10/1ib/python3.9/site-packages
:/gnu/store/8z52kxfrn9%nghi5zvaga’b9ss7hg9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages:/gnu/store/rw
pkgrm75994jnjw9lmf687p6xbylg6x-python-h2-4.1.0/1ib/python3.9/site-packages:/gnu/store/v8gnbynwgznlrbvd2xv5cj30
4020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages:/gnu/store/1lmi55b4fmdr206ii6gmwrdgzafn0b97r-python-cryp
tography-36.0.1/1ib/python3.9/site-packages:/gnu/store/5fxcvip9gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/11
b/python3.9/site-packages:/gnu/store/i9ddvyf9vgzmfxh28slbilzc8xyk8zn5-python-blinker-1.4/1lib/python3.9/site-pa
ckages:/gnu/store/yxxandg091lnlwwmsjjad60wpd5z9vcli-python-asgiref-3.4.1/1ib/python3.9/site-packages:/gnu/store
/bj5dlalasmnzh9ggxjcgbbwadfwwI6gd-python-1xml-4.6.3/1ib/python3.9/site-packages:/gnu/store/5nk33ifpxxljrwvsamb
dcnxwrxglkjwi-python-soupsieve-2.2.1/1ib/python3.9/site-packages:/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-p
ython-werkzeug-2.0.2/1ib/python3.9/site-packages:/gnu/store/idwg7yli7lkdaadgavexn5xzbérkcp20-python-jinja2-3.1
.1/1lib/python3.9/site-packages:/gnu/store/bxrhé6gxczls7wf35kfvdOp4n8hk0428m-python-importlib-metadata-4.11.3/11
b/python3.9/site-packages:/gnu/store/qlckfz534jr32c3dvykwj05ybsfl0hg7-python-chardet-3.0.4/1ib/python3.9/site-
packages:/gnu/store/g53zkr19vz43mrx9h0gigj31lfdsmndll-python-webencodings-0.5.1/1ib/python3.9/site-packages:/gn
u/store/cl3nc3lbzgjifp5c4£z0g0h34bjaibf6-python-six-1.16.0/1lib/python3.9/site-packages:/gnu/store/q06w09£93795
4kwwb3sfg8zdgygnOgil-python-pyrsistent-0.16.0/1ib/python3.9/site-packages:/gnu/store/88rlck93vmrdsavim2hh99gzz
dsdaaf7-python-attrs-21.2.0/1lib/python3.9/site-packages:/gnu/store/wzkwypg2wx3k2lswd8zmjgnvcczzzcxi-python-whe
el-0.37.0/1ib/python3.9/site-packages:/gnu/store/Tmcfghl6v32k7bwdcv59bh9yqglkippxf-python-filelock-3.0.12/1ib/p
ython3.9/site-packages:/gnu/store/fhiv69glcxg9grxawwbxpaqqj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-pac
kages:/gnu/store/261dzj9xcirdrh7narm79gggcal2ka3dh-python-appdirs-1.4.3/1ib/python3.9/site-packages:/gnu/store/
diymlfxk82db89yn55vqgh4923irqgh8-python-ruamel.yaml.clib-0.2.6/1ib/python3.9/site-packages:/gnu/store/myxylOnn
61lnrpfyvx20rg441l6kmc25kl-python-becrypt-3.2.0/1ib/python3.9/site-packages:/gnu/store/6hb6zs58giadz75xgf32d4c82g
h8iavd-python-pyasnl-0.4.8/1lib/python3.9/site-packages:/gnu/store/m0x8jwdhipOp7aqmlpfgvecfg7kh9aspz-python-gssa
pi-1.6.12/1ib/python3.9/site-packages:/gnu/store/kjyl2km9wabmpctfw2mg7r5r4dx3g471gl-python-hpack-4.0.0/1ib/pytho
n3.9/site-packages:/gnu/store/jlx0r8vnrl7ywdls9g9cmjlgwlkznlmv-python-is08601-0.1.13/1ib/python3.9/site-packag
es:/gnu/store/wdhxd7w2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages:/gnu/store/p09ad3p
wazgjcfblzw941lmwg0jgd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages:/gnu/store/5ilflcqg3fn6mx3k20pv5pak2vn
d3ybxd-python-asnlcrypto-1.4.0/1ib/python3.9/site-packages:/gnu/store/jbxjcwhb2fénkigzrfd4gp8avx7yckbys-python-
requests—-2.26.0/1ib/python3.9/site-packages:/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.
1/1ib/python3.9/site-packages:/gnu/store/613kcbcgicf9acvilhvdarbfnz6pzx3j-python-zipp-1.0.0/1ib/python3.9/site
-packages:/gnu/store/fl0aa3gbahl4mgmwdl 6xn0wbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages:/gnu/
store/m5p8iinvgbylsym6jlbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages:/gnu/store/jmddg8vksm
ag7mcbkgll5wpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages:/gnu/store/vwbx6lb3ihpnwc2dj4igghwa8y
gb8dcg-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages:/gnu/store/hyglphskalgknm3g0jfdzk820plgl55i
-python-certifi-2020.12.5/1ib/python3.9/site-packages:/gnu/store/d39sww9kp42vEiTwxgkb9ig2ydbg519bb-python-pysoc

ks-1.7.1/1lib/python3.9/site-packages', 'PWD': '/home/jacobk/Programs/Haketilo-source/hydrilla-3.0bl', 'LOGNAME
': 'jacobk', 'TEMPDIR': '/tmp', 'HOME': '/home/jacobk', 'TMPDIR': '/tmp', 'USER': 'jacobk', 'TEMP': '/tmp', 'S
HLVL': 'l', 'GUIX_ENVIRONMENT': '/gnu/store/%9kylrdlp645nwwj40kisa227vgnxirs3-profile', 'TMP': '/tmp', 'PATH':

'/gnu/store/9kylrdlp645nwwij40kisa227vgnxirs3—-profile/bin'})

in launch.py sys.path is ['/gnu/store/lgnglhOy421x7ac4kzsx9viOlzx7cazm-hydrilla-3.0bl/bin', '/gnu/store/papscs
pynmdi51 jmngw5x5wbi9ijclxj-python-3.9.9/1ib/python39.zip', '/gnu/store/papscspynmdi5limngw5x5wbi9ijclxj-python
-3.9.9/1ib/python3.9', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj—python-3.9.9/1ib/python3.9/1lib-dynload"', '
/gnu/store/lgnglhOy421x7ac4kzsx9viOlzx7cazm-hydrilla-3.0bl/1lib/python3.9/site-packages', '/gnu/store/06pzx72mv
7k4dmlhww9hbkfgdngv3z59m-python-setuptools—-scm-6.3.2/1ib/python3.9/site-packages', '/gnu/store/9svicbyxrgksm514
rsbvds883ypwfm4i-python-babel-2.9.0/1ib/python3.9/site-packages', '/gnu/store/fb67v15n28vslmh54nx9jfmpayb85895
-python-pytest-6.2.5/1ib/python3.9/site-packages', '/gnu/store/whwidmwikdayp8pzjg83vcgcgfwlvn39x-python-pypa-bu
11d-0.7.0/1ib/python3.9/site-packages', '/gnu/store/ghawmvzzslwrch9mx8liwbfglabwfhyp-python-mypy-0.942/1ib/pyt
hon3.9/site-packages', '/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-python-types-requests—2.26.0/1ib/python3.9
/site-packages', '/gnu/store/qgpk0i5idb6ssgnmg7g8nflwd3bvxsfmf-mitmproxy-8.1.1/1ib/python3.9/site-packages', '/
gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/python3.9/site-packages', '/gnu/st
ore/v301fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/site-packages', '/gnu/store/jvh5ivwzqgnv8
x11drldh516p4mb9jlbs-python-flask-2.1.1/1ib/python3.9/site-packages', '/gnu/store/ab47br45jllzx6pyjdl86g7kqgfd’
mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages', '/gnu/store/x4s7jng91jd5srb3bclg3fggvh8577nd-python-html
51ib-1.1/1ib/python3.9/site-packages', '/gnu/store/9a5rbkmOklwi9fm7zflwmcnr8m96prmy-python-immutables-0.19/1ib
/python3.9/site-packages', '/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdangerous-2.0.1/1ib/python3.
9/site-packages', '/gnu/store/iiSrvjyOva7bhwh25dk0ncl2nxjj8a60-python-jsonschema-3.2.0/1ib/python3.9/site-pack
ages', '/gnu/store/g5sca9kbgdwqgyvippkpzlppz2q0kwhsx—reuse-0.14.0/1ib/python3.9/site-packages', '/gnu/store/4k5
2mgy3c7dkgfmxgl211zg3k9vx6gz5-python-tomli-2.0.0/1lib/python3.9/site-packages', '/gnu/store/vrléebflOblbzmzvckva’
08fpng3glcfwh-python-packaging-bootstrap-21.3/1lib/python3.9/site-packages', '/gnu/store/fkxl8fnk6cab2jr2ymafmd
18x7x9pdj9-python-pytz-2021.1/1ib/python3.9/site-packages', '/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-pytho
n-wcwidth-0.1.8/1ib/python3.9/site-packages', '/gnu/store/nl58g651x8dbhmxp62i345pz4zmpidrl-python-toml-0.10.2/
lib/python3.9/site-packages', '/gnu/store/84si07345zxgbkmvya5lyhrfj5iz0v2wx-python-six-bootstrap-1.16.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/k49pbvmdlvicihfgsgkdjgqvdrd94gx7x—-python-py-1.10.0/1ib/python3.9/site-packag
es', '/gnu/store/1dh3ral0gakpp27jpl88m36rl1lij495z-python-pluggy-0.13.1/1lib/python3.9/site-packages', '/gnu/sto
re/mpcslygybwvlv6jvail06df27nbgwwp8-python-more-itertools-8.2.0/1ib/python3.9/site-packages', '/gnu/store/lhss
sslmrxmsyrd4w9zv8gbpb7zncdg8-python-iniconfig-1.1.1/1ib/python3.9/site-packages', '/gnu/store/74kivpgcjsn7rén>
3zarspwdxgkgbll4d-python-attrs-bootstrap-21.2.0/1lib/python3.9/site-packages', '/gnu/store/Opi8kjdwkszhlklgw8asm
29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.9/site-packages', '/gnu/store/5whaphwnvjab8zbi3mwdra9936
15n4yz-python-typing-extensions-4.0.1/1ib/python3.9/site-packages', '/gnu/store/csqgkgklm3rf8f7p518m8mf2sd5qrIv
as-python-mypy-extensions-0.4.3/1lib/python3.9/site-packages', '/gnu/store/ymzrwlr862g6s0bdjbcx05g23bdl4rp9-pyt
hon-zstandard-0.15.2/1ib/python3.9/site-packages', '/gnu/store/cgx410ip27ikc9jb0clligicm2g38r7l-python-publics
uffix2-2.20191221/1ib/python3.9/site-packages', '/gnu/store/487fx1lblcv5ciji72287k561j3vrrlz-python-wsproto-0.
15.0/1ib/python3.9/site-packages', '/gnu/store/adgjagl9siip20p0xhkpyjdnjjcd654a-python-urwid-2.1.2/1ib/python3
.9/site-packages', '/gnu/store/ygdvrdeowkopwngysgb9s78vd3kjcvsba-python-tornado-6.1/1lib/python3.9/site-packages
', '/gnu/store/0l4qywhp7c7lic3gsdvzwmvf0lizf9r2-python-sortedcontainers—-2.1.0/1lib/python3.9/site-packages', '/
gnu/store/1318gg8jgz4g365idwgcadm94hk7mday-python-ruamel.yaml-0.16.13/1ib/python3.9/site-packages', '/gnu/stor
e/aclnij53rpn8kiZ2npals6becrcprgf7zg6-python-pyperclip-1.8.2/1ib/python3.9/site-packages', '/gnu/store/f9%9a6smln5z
5240d9k1mk5jg8b6mngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-packages', '/gnu/store/ywd681x121n82g6ckggyym
bkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages', '/gnu/store/402g4rs62bn5xzkxdwbmshgddbv2ribp-
python-protobuf-3.20.1/1ib/python3.9/site-packages', '/gnu/store/y2yllgisw2rcOygjhdy6xjpml5ggz4fv-python-passl
ib-1.7.4/1ib/python3.9/site-packages', '/gnu/store/gb95h77225vk3dnnvzgpbhpdl92viw2h-python-msgpack-1.0.3/1ib/p
ython3.9/site-packages', '/gnu/store/alld4apk3jmhbv011g37hg9v4wdjzgvlib-python-1dap3-2.7/1ib/python3.9/site-pack
ages', '/gnu/store/vni7bai89v2l2agky7aihvflkwdd6iwr-python-kaitaistruct-0.10/1ib/python3.9/site-packages', '/g
nu/store/8z52kxfrn9bnghi5zvaqa7b9ss7hqgq9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages', '/gnu/store/rw
pkarm75994injw9lmf687p6xbylgbx—-python-h2-4.1.0/1ib/python3.9/site-packages', '/gnu/store/v8gnbynwgznlrbvd2xv5c
3304020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages', '/gnu/store/lmi55b4dfmdr206ii6gmwrdgzafn0b97r-pytho
n-cryptography-36.0.1/1lib/python3.9/site-packages', '/gnu/store/5fxcv0p9gamcvwlib9jpbxlxyb3iahlh-python-brotli
-1.0.9/1ib/python3.9/site-packages', '/gnu/store/i9ddvyf9vgzmfxh28slbilzc8xyk8zn5-python-blinker-1.4/1ib/pytho
n3.9/site-packages', '/gnu/store/yxxandg09lnlwwmsjjad60wpd5z9vcli-python-asgiref-3.4.1/1ib/python3.9/site-pack
ages', '/gnu/store/bj5dlalasmnzh9ggxjcgb6wa9fwwd6gd-python—1xml-4.6.3/1ib/python3.9/site-packages', '/gnu/stor
e/5nk33ifpxxljrwvsambdcnxwrxglk jwi-python-soupsieve-2.2.1/1ib/python3.9/site-packages', '/gnu/store/5b7kyvxmsi
p8idphsdsfv48synwn0964-python-werkzeug-2.0.2/1ib/python3.9/site-packages', '/gnu/store/idwg7yli7lkdaadgav6xn5x
zb6rkcp20-python-jinja2-3.1.1/1ib/python3.9/site-packages', '/gnu/store/bxrh6gxczls7wf35kfvd0p4n8hk0428m—pytho
n-importlib-metadata-4.11.3/1lib/python3.9/site-packages', '/gnu/store/qlckfz534jr32c3dvykwj05ybsfl0hg7-python-
chardet-3.0.4/1ib/python3.9/site-packages', '/gnu/store/g53zkrl9vz43mrx9h0gigj31lfdsmndll-python-webencodings-0
.5.1/1ib/python3.9/site-packages', '/gnu/store/cl3nc3lbzgjifp5c4fz0g0h34bjaibf6-python-six-1.16.0/1ib/python3.
9/site-packages', '/gnu/store/q06w09£937g54kwwb3sfg8zdgygnlgil-python-pyrsistent-0.16.0/1ib/python3.9/site-pac
kages', '/gnu/store/88rlck93vmrdsavim2hh99gzzdsdaaf7-python—-attrs-21.2.0/1lib/python3.9/site-packages', '/gnu/s
tore/wzkwypg2wx3k21lswid8zmjgnvcczzzcxi-python-wheel-0.37.0/1ib/python3.9/site-packages', '/gnu/store/7mcfqhl6v3
2k 7bwdcv59bh9yqglkippxf-python-filelock-3.0.12/1ib/python3.9/site-packages', '/gnu/store/fhiv69glcxg9grxawwbxpa
ggqj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-packages', '/gnu/store/261dzj9xcirdrh7narm79gggcal2ka3dh-pyt
hon-appdirs-1.4.3/1ib/python3.9/site-packages', '/gnu/store/diymlfxk82db89yn55vqgh4923irqgh8-python-ruamel.yam
1.clib-0.2.6/1ib/python3.9/site-packages', '/gnu/store/myxylOnn6lnrpfyvx20rgd44lekmc25kl-python-bcrypt-3.2.0/11
b/python3.9/site-packages', '/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd-python-pyasnl-0.4.8/1ib/python3.9/sit
e-packages', '/gnu/store/m0x8jwdhipOp7gmlpfgv6cfg7kh9aspz-python-gssapi-1.6.12/1ib/python3.9/site-packages', '
/gnu/store/kjyl2km9waSmpcfw2mg7r5rdx3g471gl-python-hpack-4.0.0/1ib/python3.9/site-packages', '/gnu/store/jlx0r
8vnrl7ywdls9g9cmjlgwlkznlmv-python-iso08601-0.1.13/1ib/python3.9/site-packages', '/gnu/store/wdhxd7w2nlwjdyj2yg
3yif4mip508b59-python-idna-2.10/1ib/python3.9/site-packages', '/gnu/store/p0%9ad3pwazgjcfblzw941lmwqg0jgd4lzp—pyt
hon-cffi-1.14.4/1ib/python3.9/site-packages', '/gnu/store/5ilflcqg3fn6mx3k20pv5pak2vnd3ybxd-python-asnlcrypto-1
.4.0/1ib/python3.9/site-packages', '/gnu/store/jbxjcwhb2fénkigzrfdgp8avx/yckbys-python-requests-2.26.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.1/1ib/python3.9/site
-packages', '/gnu/store/613kcbcgicf9acvilOhvdarbfnz6pzx3j-python-zipp-1.0.0/1ib/python3.9/site-packages', '/gnu
/store/fl0aa3gbahl4mgmwdl 6xn0wbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages', '/gnu/store/m5p8i
invgbylsym6jlbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages', '/gnu/store/jmddg8vksmagi/mcbkqg
115wpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages', '/gnu/store/vwbx6lb3ihpnwc2djdigghwa8ygb8dc
g-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages', '/gnu/store/hyglphskalgknm3g0jfdzk820plgl55i-p
ython-certifi-2020.12.5/1ib/python3.9/site-packages', '/gnu/store/d39swwikp42vEiTwxgkb9ig2ydbg519bb-python-pyso
cks-1.7.1/1lib/python3.9/site-packages', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1lib/python3.
9/site-packages"']

in launch.py sys.executable is /gnu/store/fby61226w8kh2mwkzpjpajmgyO0glkxli-python-wrapper-3.9.9/bin/python

in addon.py os.environ is environ ({'GUIX_PYTHONPATH': '/gnu/store/lgnglhOy421lx7ac4kzsx9viOlzx7cazm-hydrilla-3.
0bl/lib/python3.9/site-packages:/gnu/store/06pzx72mv7k4mlhww9hbkfgdngv3z59m-python-setuptools—-scm-6.3.2/1ib/py
thon3.9/site-packages:/gnu/store/9svic6yxrgksm5l4rsbvds883ypwfmdi-python-babel-2.9.0/1ib/python3.9/site-packag
es:/gnu/store/fb67v15n28vslmh54nx9jfmpayb85895-python-pytest-6.2.5/1ib/python3.9/site-packages:/gnu/store/whwi
mwikdayp8pzjg83vcgcgfwlvn39x—python-pypa-build-0.7.0/1ib/python3.9/site-packages:/gnu/store/ghawnvzzslwrch9mx8
liwbfglabwfhyp-python-mypy—-0.942/1ib/python3.9/site-packages:/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g—pytho
n-types-requests-2.26.0/1ib/python3.9/site-packages:/gnu/store/gpk0i5i4b6ssqnmg7g8nflwd3bvxsfmf-mitmproxy—-8.1.
1/1ib/python3.9/site-packages:/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/pyt
hon3.9/site-packages:/gnu/store/v301fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/site-package
s:/gnu/store/jvh5ivwzgnv8x1lldrldh516pd4mb9jlbs-python-flask-2.1.1/1ib/python3.9/site-packages:/gnu/store/ab4d7br
45911zx6pyjdl86g7kgfd7’mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages:/gnu/store/x4s73ng91jd5srb3bclg3fggv
h8577nd-python-html51ib-1.1/1ib/python3.9/site-packages:/gnu/store/9a5rbkmOklwi9fm7zflwmcnr8m96prmy-python—-imm
utables-0.19/1ib/python3.9/site-packages:/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfsé6c-python-itsdangerous-2.0.1
/lib/python3.9/site-packages:/gnu/store/ii5rvijyOva’bhwh25dk0ncl2nxjj8a60-python-jsonschema-3.2.0/1ib/python3.9
/site-packages:/gnu/store/g5sca9kbgdwqyvippkpzlppz2g0kwhsx-reuse-0.14.0/1ib/python3.9/site-packages:/gnu/store
/papscspynmdi5l jmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-packages:/gnu/store/4k52mgy3c7dkgfmxgl211zg3
k9vx6gz5-python-tomli-2.0.0/1lib/python3.9/site-packages:/gnu/store/vrlebf0blbzmzvckva708fpng3glcfwh-python-pac
kaging-bootstrap-21.3/1lib/python3.9/site-packages:/gnu/store/fkxl8fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-2021
.1/1ib/python3.9/site-packages:/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9/
site-packages:/gnu/store/nl58g651x8dbhmxp62i345pz4zmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages:/gnu/
store/84si0j45zxgbkmvya5lyhrfj5iz0v2wx—-python-six—bootstrap-1.16.0/1lib/python3.9/site-packages:/gnu/store/k49p
bvmdlv7cihfgsgkdjgvdrd94gx7x-python-py-1.10.0/1ib/python3.9/site-packages:/gnu/store/1dh3ral00gakpp27jpl88m36rl
11j495z-python-pluggy—-0.13.1/1ib/python3.9/site-packages:/gnu/store/mpcslygybwvlv6jvail06df27nbgwwp8-python-mo
re—-itertools—8.2.0/1lib/python3.9/site-packages:/gnu/store/lhsssslmrxmsyrd4w9zv8gbpb7zncdg8-python—iniconfig-1.
1.1/1ib/python3.9/site-packages:/gnu/store/74kivpgcisnirén53zarspwdxgkgbll4-python-attrs-bootstrap-21.2.0/1ib/
python3.9/site-packages:/gnu/store/0pi8kjdwkszhlklgw8asm29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.
9/site-packages:/gnu/store/5whaphwnvjab8zbi3mw4ra993615ndyz-python-typing—extensions-4.0.1/1ib/python3.9/site-
packages:/gnu/store/csgkgklm3rf8f7p518m8mf2sd5grIvas-python-mypy-extensions-0.4.3/1ib/python3.9/site-packages:
/gnu/store/ymzrwlr862g6s0bdjbcx05g23bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages:/gnu/store/cgx
410ip27ikc9jb0clligicm2g38r71l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages:/gnu/store/487£fx11bl
cv5ciji72z87k561j3vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages:/gnu/store/adgjagl9siip20p0xhkpyjdnj
jcd654a-python—-urwid-2.1.2/1ib/python3.9/site-packages:/gnu/store/ygdvrdowkopwngysgb9s78vd3kjcvsba-python-torn
ado-6.1/1ib/python3.9/site-packages:/gnu/store/01l4qgywhp7c7lic3gsdvzwmvf0lizf9r2-python-sortedcontainers-2.1.0/
lib/python3.9/site-packages:/gnu/store/1318qgg8jgz4g365idwgcadm94hk/mday-python-ruamel.yaml-0.16.13/1ib/python3
.9/site-packages:/gnu/store/aclnj53rpn8ki2npalsébcrcprgf7zg6-python-pyperclip-1.8.2/1ib/python3.9/site-package
s:/gnu/store/f%a6smln5z5240d9k1mk5jg8bémngiwl-python-pyparsing—3.0.6/1ib/python3.9/site-packages:/gnu/store/yw
d681x121n82g6ckggyymbkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages:/gnu/store/402g4rs62bnbxzkx
dwbmshgddbv2ribp-python-protobuf-3.20.1/1ib/python3.9/site-packages:/gnu/store/y2yllgisw2rcOygjhdy6xjpml5ggz4f
v-python-passlib-1.7.4/1lib/python3.9/site-packages:/gnu/store/gb95h77225vk3dnnvzgpbhpdl92viw2h-python-msgpack—
1.0.3/1ib/python3.9/site-packages:/gnu/store/alldapk3jmhbv011g37hg9v4wd jzgvlb-python-1dap3-2.7/1ib/python3.9/s
ite-packages:/gnu/store/vni7bai89v2l12agky7aihvflkwdd6iwr-python-kaitaistruct-0.10/1ib/python3.9/site-packages:
/gnu/store/8z52kxfrn9bnghi5zvagqa7b9ss7hgq9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages:/gnu/store/rwp
kgrm75994jnjw91lmf687p6xbylgbx—python-h2-4.1.0/1ib/python3.9/site-packages:/gnu/store/v8gnbynwgznlrbvd2xv5cj304
020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages:/gnu/store/Imi55b4fmdr206ii6gmwrdgzafn0b97r-python-crypt
ography—-36.0.1/1ib/python3.9/site-packages:/gnu/store/5fxcv0p9gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/1ib
/python3.9/site-packages:/gnu/store/i9ddvyf9vgzmfxh28slbi0zc8xyk8zn5-python-blinker-1.4/1ib/python3.9/site-pac
kages:/gnu/store/yxxandg091lnlwwmsjjad60wpd5z9vcli-python—-asgiref-3.4.1/1ib/python3.9/site-packages:/gnu/store/
bj5dlalasmnzh9ggxjcgb6wa9fww96qgd-python-1xml-4.6.3/1lib/python3.9/site-packages:/gnu/store/5nk331ifpxxljrwvsambd
cnxwrxglkjwi-python-soupsieve-2.2.1/1ib/python3.9/site-packages:/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-py
thon-werkzeug-2.0.2/1ib/python3.9/site-packages:/gnu/store/idwg7yli7lkdaadgavéexn5xzb6rkcp20-python-jinja2-3.1.
1/1ib/python3.9/site-packages:/gnu/store/bxrh6gxczlsTwf35kfvd0p4n8hk0428m-python-importlib-metadata-4.11.3/1ib
/python3.9/site-packages:/gnu/store/qlckfz5343r32c3dvykwj05ybsf10hg7-python-chardet-3.0.4/1ib/python3.9/site-p
ackages:/gnu/store/g53zkr19vz43mrx9h0gigj31lfdsmndll-python-webencodings-0.5.1/1ib/python3.9/site-packages:/gnu
/store/cl3nc3lbzgjifp5c4£fz0g0h34bjaibf6-python-six-1.16.0/1ib/python3.9/site-packages:/gnu/store/q06w09£937g54
kwwb3sfg8zdgygnOgil-python-pyrsistent-0.16.0/1ib/python3.9/site-packages:/gnu/store/88rlck93vmrdsavim2hh99gzzd
sdaaf7-python-attrs-21.2.0/1lib/python3.9/site-packages:/gnu/store/wzkwypg2wx3k21lswd8zmjgnvcczzzcxi—-python-whee
1-0.37.0/1ib/python3.9/site-packages:/gnu/store/7Tmcfghl6v32k7bwdcv59bh9yqglkippxf-python-filelock-3.0.12/1ib/py
thon3.9/site-packages:/gnu/store/fhiv69glcxg9grxawwbxpagqqgj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-pack
ages:/gnu/store/261dzj9xcirdrh7narm79gggca2ka3dh-python-appdirs-1.4.3/1ib/python3.9/site-packages:/gnu/store/d
iymlfxk82db89yn55vqgh4923irgqgh8-python-ruamel.yaml.clib-0.2.6/1ib/python3.9/site-packages:/gnu/store/myxyl0nné
Inrpfyvx20rgd44le6kmc25kl-python-bcrypt-3.2.0/1ib/python3.9/site-packages:/gnu/store/6hb6zs58giadz75xgf32d4c82gh
8iavd-python-pyasnl-0.4.8/1lib/python3.9/site-packages:/gnu/store/m0x8jwdhipOp7gmlpfgv6cfg7kh9aspz-python-gssap
i-1.6.12/1ib/python3.9/site-packages:/gnu/store/kjyl2km9wabmpcfw2mg7r5r4x3g471lgl-python-hpack-4.0.0/1ib/python
3.9/site-packages:/gnu/store/jlx0r8vnrl7ywdls9g9cmjlgwlkznlmv-python-is08601-0.1.13/1ib/python3.9/site-package
s:/gnu/store/wdhxd7w2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages:/gnu/store/p09%ad3pw
azgjcfblzw941lmwg0jgd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages:/gnu/store/5ilflcg3fn6mx3k20pv5pak2vnd
3ybxd-python-asnlcrypto-1.4.0/1ib/python3.9/site-packages:/gnu/store/jbxjcwhb2f6nkigzrfdgp8avx7yckbys-python-r
equests-2.26.0/1ib/python3.9/site-packages:/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.1
/lib/python3.9/site-packages:/gnu/store/613kcbcgicf9acvilOhvdarbfnz6pzx3j—python-zipp-1.0.0/1ib/python3.9/site-
packages:/gnu/store/fl0aa3gbahl4dmgmwdl 6xn0wbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages:/gnu/s
tore/m5p8iinvgbylsym6jlbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages:/gnu/store/jmddg8vksma
g7mcbkgll5wpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages:/gnu/store/vwbx61b3ihpnwc2dj4igghwa8yg
b8dcg-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages:/gnu/store/hyglphskalgknm3q0jfdzk820plgl55i-
python-certifi-2020.12.5/1ib/python3.9/site-packages:/gnu/store/d39swwIkp42vEiTwxgkb9ig2ydbg519bb-python-pysock

s-1.7.1/1ib/python3.9/site-packages', 'PWD': '/home/jacobk/Programs/Haketilo-source/hydrilla-3.0bl', 'LOGNAME'
'jacobk', 'TEMPDIR': '/tmp', 'HOME': '/home/jacobk', 'TMPDIR': '/tmp', 'USER': 'jacobk', 'TEMP': '/tmp', 'SH
LVL': '1l', 'GUIX_ENVIRONMENT': '/gnu/store/9kylrdlp645nwwj40kisa227vgnxirs3-profile', 'TMP': '/tmp', 'PATH': '

/gnu/store/9kylrdlp645nwwi40kisa227vgnxirs3—-profile/bin'})
in addon.py sys.path is ['/home/jacobk/.haketilo', '/gnu/store/lgnglhOy42lx7ac4kzsx9viOlzx7cazm-hydrilla-3.0bl
/bin', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/python39.zip', '/gnu/store/papscspynmdi5l
jmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/
python3.9/1lib-dynload', '/gnu/store/lgnglhOy42lx7acdkzsx9viOlzx7cazm-hydrilla-3.0bl/1lib/python3.9/site-package
s', '/gnu/store/06pzx72mv7k4dmlhwwohbkfgdngv3z59m-python-setuptools-scm-6.3.2/1ib/python3.9/site-packages', '/g
nu/store/9svic6yxrgksm51l4rsbvds883ypwfmdi-python-babel-2.9.0/1ib/python3.9/site-packages', '/gnu/store/fb67v15
n28vslmh54nx9jfmpayb85895-python-pytest-6.2.5/1ib/python3.9/site-packages', '/gnu/store/whwdmwikdayp8pzjg83vcqg
cgfwlvn39x-python-pypa-build-0.7.0/1lib/python3.9/site-packages', '/gnu/store/ghawmvzzslwrch9mx8liwbfglabwfhyp—
python-mypy-0.942/1ib/python3.9/site-packages', '/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-python-types-requ
ests-2.26.0/1ib/python3.9/site-packages', '/gnu/store/gpk0i5idb6ssqnmg7g8nflwd3bvxsfmf-mitmproxy-8.1.1/1ib/pyt
hon3.9/site-packages', '/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/python3.9
/site-packages', '/gnu/store/v301fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/site-packages’',
'/gnu/store/jvh5ivwzgnv8x11ldrldh516pdmb9jlbs-python-flask-2.1.1/1ib/python3.9/site-packages', '/gnu/store/ab4
Tbrd531lzx6pyjdl86g7kgfd’mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages', '/gnu/store/x4s773ng91jd5srb3bcl
g3fgqgvh8577nd-python-html51ib-1.1/1ib/python3.9/site-packages', '/gnu/store/9a5rbkmOklwi9fm7zflwmcnr8m96prmy—p
ython-immutables-0.19/1ib/python3.9/site-packages', '/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdan
gerous—-2.0.1/1ib/python3.9/site-packages', '/gnu/store/ii5rviy0Ova7bhwh25dk0ncl2nxjj8a60-python-jsonschema-3.2.
0/1ib/python3.9/site-packages', '/gnu/store/g5sca9kbgdwqyvippkpzlppz2gq0kwhsx—reuse—0.14.0/1ib/python3.9/site-p
ackages', '/gnu/store/4k52mgy3c7dkgfmxgl211zg3k9vx6gz5-python-tomli-2.0.0/1ib/python3.9/site-packages', '/gnu/
store/vrléebfOblbzmzvckva708fpng3glcfwh-python-packaging-bootstrap-21.3/1ib/python3.9/site-packages', '/gnu/sto
re/fkx1l8fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-2021.1/1ib/python3.9/site-packages', '/gnu/store/az5yw33ifrrdw
psOfagmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9/site-packages', '/gnu/store/nl58g651x8dbhmxp62i345pz4zm
pidrl-python-toml-0.10.2/1ib/python3.9/site-packages', '/gnu/store/84si0j45zxgbkmvya5lyhrfj5iz0v2wx-python-six
-bootstrap-1.16.0/1ib/python3.9/site-packages', '/gnu/store/k49pbvmdlv7cjhfgsgkdjgv4rd94gx7x-python-py-1.10.0/
lib/python3.9/site-packages', '/gnu/store/1dh3ral0gakpp27jpl88m36rl1lij495z-python-pluggy-0.13.1/1lib/python3.9/
site-packages', '/gnu/store/mpcslygybwvlv6jvailOedf27nbgwwp8-python-more-itertools-8.2.0/1ib/python3.9/site-pa
ckages', '/gnu/store/lhsssslmrxmsyrd4dw9zv8gbpb7zncdg8-python-iniconfig-1.1.1/1ib/python3.9/site-packages', '/g
nu/store/74kivpgcisnirén53zarspwdxgkgbll4-python-attrs-bootstrap-21.2.0/1ib/python3.9/site-packages', '/gnu/st
ore/0pi8kjdwkszhlklgw8asm29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.9/site-packages', '/gnu/store/5
whaphwnvjab8zbi3mw4ra993615ndyz-python-typing-extensions-4.0.1/1ib/python3.9/site-packages', '/gnu/store/csgkg
k1lm3rf8f7p518m8mf2sd5qgr9vas—-python-mypy-extensions-0.4.3/1ib/python3.9/site-packages', '/gnu/store/ymzrwlr862g
6s0bdjbcx05g23bdl4drp9-python-zstandard-0.15.2/1ib/python3.9/site-packages', '/gnu/store/cgx410ip27ikc9ijb0Ocllig
icm2g38r71l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages', '/gnu/store/487fx1llblcv5ciji72z87k561
j3vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages', '/gnu/store/adgjagl9siip20p0xhkpyjdnjjcdé54a-pytho
n-urwid-2.1.2/1ib/python3.9/site-packages', '/gnu/store/ygdvrdéewk6pwngysgb9s78vd3kjcvsea-python-tornado-6.1/11
b/python3.9/site-packages', '/gnu/store/0l4qywhp7c7lic3gsdvzwmvi0lizf9r2-python-sortedcontainers-2.1.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/13189g8jgz4g365idwgcadm94hk/mday-python-ruamel.yaml-0.16.13/1ib/python3.9/s
ite-packages', '/gnu/store/aclnj53rpn8ki2npalsébcrcprgf/zg6-python-pyperclip-1.8.2/1ib/python3.9/site-packages
', '/gnu/store/f9%9a6smln5z5240d9k1mk5jg8bémngiwl-python-pyparsing—3.0.6/1ib/python3.9/site-packages', '/gnu/sto
re/ywd681x121n82g6ckggyymbkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages', '/gnu/store/402g4rs6
2bn5xzkxdwbmshgddbv2ribp-python-protobuf-3.20.1/1ib/python3.9/site-packages', '/gnu/store/y2yllgisw2rcOyqgjh4dy6
xjpml5ggz4fv-python-passlib-1.7.4/1lib/python3.9/site-packages', '/gnu/store/gb95h77225vk3dnnvzgpbhpdl92viw2h-p
ython-msgpack-1.0.3/1ib/python3.9/site-packages', '/gnu/store/alld4apk3imhbv011g37hg9v4wdjzgvlb-python-ldap3-2.
7/1ib/python3.9/site-packages', '/gnu/store/vni7bai89v2l2agky7aihvflkwddéiwr-python-kaitaistruct-0.10/1ib/pyth
on3.9/site—-packages', '/gnu/store/8z52kxfrn9nghi5zvagqa7b9ss7hgq9vh-python-hyperframe-6.0.1/1ib/python3.9/site—
packages', '/gnu/store/rwpkgrm75994jnjw9lmf687p6xbylg6x-python-h2-4.1.0/1ib/python3.9/site-packages', '/gnu/st
ore/v8gnbynwgznlrbvd2xv5cj304020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages', '/gnu/store/Ilmi55b4fmdr20
6ii6gmwrdgzafn0b97r-python-cryptography-36.0.1/1ib/python3.9/site-packages', '/gnu/store/5fxcvOp9gamcvwlib9jpb
x1lxyb3iahlh-python-brotli-1.0.9/1lib/python3.9/site-packages', '/gnu/store/i9ddvyfIvgzmfxh28slbilzc8xyk8zn5-pyt
hon-blinker-1.4/1ib/python3.9/site-packages', '/gnu/store/yxxandg09lnlwwmsjjad60wpd5z9vcli-python-asgiref-3.4.
1/1ib/python3.9/site-packages', '/gnu/store/bj5dlalasmnzh9qgxjcgbéwadfwwd6gd-python-1xml-4.6.3/1ib/python3.9/s
ite-packages', '/gnu/store/5nk33ifpxxljrwvsambdcnxwrxglkjwi-python-soupsieve-2.2.1/1ib/python3.9/site-packages
', '/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-python-werkzeug-2.0.2/1ib/python3.9/site-packages', '/gnu/stor
e/idwg7yli7lkdaadgav6xn5xzb6rkcp20-python-jinja2-3.1.1/1ib/python3.9/site-packages', '/gnu/store/bxrhégxczlsTw
£35kfvd0p4n8hk0428m-python-importlib-metadata-4.11.3/1ib/python3.9/site-packages', '/gnu/store/glckfz5343r32c3
dvykwj05ybsfl0hg7-python-chardet-3.0.4/1ib/python3.9/site-packages', '/gnu/store/g53zkrl19vz43mrx9h0gigj31lfdsmn
411-python-webencodings-0.5.1/1ib/python3.9/site-packages', '/gnu/store/cl3nc3lbzgjifp5c4fz0g0h34bjaibf6-pytho
n-six-1.16.0/1ib/python3.9/site-packages', '/gnu/store/q06w09f937g54kwwb3sfg8zdgygnlgil-python-pyrsistent-0.16
.0/1lib/python3.9/site-packages', '/gnu/store/88rlck93vmrdsavim2hh99gzzdsdaaf7-python-attrs-21.2.0/1lib/python3.
9/site-packages', '/gnu/store/wzkwypg2wx3k2lswd48zmjgnvcczzzcxi-python-wheel-0.37.0/1ib/python3.9/site-packages
', '/gnu/store/Tmcfghl6v32k7bwdcv59bh9yglkippxf-python-filelock-3.0.12/1ib/python3.9/site-packages', '/gnu/sto
re/fhiv69glcxg9grxawwbxpagqqgj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-packages', '/gnu/store/261dzj9xcir
drh7narm79gggca2ka3dh-python-appdirs—-1.4.3/1lib/python3.9/site-packages', '/gnu/store/diymlfxk82db89yn55vqgh492
3irggh8-python-ruamel.yaml.clib-0.2.6/1ib/python3.9/site-packages', '/gnu/store/myxylOnné6lnrpfyvx20rg441l6kmc25
kl-python-bcrypt-3.2.0/1lib/python3.9/site-packages', '/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd-python-pyasn
1-0.4.8/1ib/python3.9/site-packages', '/gnu/store/m0x8jwdhipOp7gqmlpfgvécfg7kh9aspz-python-gssapi-1.6.12/1ib/py
thon3.9/site-packages', '/gnu/store/kjyl2km9waSmpcfw2mg7r5rdx3g471lgl-python-hpack-4.0.0/1ib/python3.9/site-pac
kages', '/gnu/store/jlx0r8vnrl7ywdls9g9cmijlgwlkznlmv-python-iso8601-0.1.13/1ib/python3.9/site-packages', '/gnu
/store/w4hxd7w2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages', '/gnu/store/p09%ad3pwazg
jcfblzw941lmwg0jgd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages', '/gnu/store/5i1flcg3fn6émx3k20pv5pak2vnd
3ybxd-python-asnlcrypto-1.4.0/1lib/python3.9/site-packages', '/gnu/store/jbxjcwhb2fénkigzrfdgp8avx7yckbys-pytho
n-requests-2.26.0/1lib/python3.9/site-packages', '/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe
-2.0.1/1ib/python3.9/site-packages', '/gnu/store/61l3kcbcgicf9acviOhvdarbfnz6pzx3j-python-zipp-1.0.0/1ib/python
3.9/site-packages', '/gnu/store/fOaa3gbahl4imgmwdl6xnOwbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-pac
kages', '/gnu/store/m5p8iinvgbylsym6jlbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages', '/gnu
/store/jmd4dg8vksmag/mcbkgllSwpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages', '/gnu/store/vwbx61l
b3ihpnwc2djdigghwa8ygb8dcg-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages', '/gnu/store/hyglphska
1gknm3g0jfdzk820plgl55i-python-certifi-2020.12.5/1ib/python3.9/site-packages', '/gnu/store/d39sww9kp42viTwxgkb
9ig2ydbg519bb-python-pysocks-1.7.1/1lib/python3.9/site-packages', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj—
python-3.9.9/1ib/python3.9/site-packages']
in addon.py sys.executable is /gnu/store/fby61226w8kh2mwkzpipaimgy0glkxli-python-wrapper—3.9.9/bin/python
Traceback (most recent call last):

File "/gnu/store/lgnglhOy421x7acdkzsx9viOlzx7cazm-hydrilla-3.0bl/lib/python3.9/site-packages/hydrilla/proxy/
addon.py", line 131, in configure

self.state = ConcreteHaketiloState.make (haketilo_dir / 'store')

File "/gnu/store/lgnglhOy421x7acdkzsx9viOlzx7cazm-hydrilla-3.0bl/lib/python3.9/site-packages/hydrilla/proxy/

state_impl/concrete_state.py", line 350, in make
connection = sglite3.connect (

sglite3.OperationalError: unable to open database file
Loading script /home/jacobk/.haketilo/addon.py

(It crashes.)

| have indeed added lots of stuff to my .bashrc file, and | didn't even know .bash_profile was a thing (That file doesn't exist for me.), so I'll try moving
all the stuff | added to .bashrc to .bash_profile .
#14 - 10/13/2022 08:11 PM - jacobk

Oops, the command | forgot to put in """ wasguix environment -L . --container --ad-hoc -e '(@ (hydrilla) hydrilla)".

#15 - 10/13/2022 08:16 PM - jacobk

After moving user-added stuff from .bashrc to .bash_profile , guix environment -L . --check --ad-hoc -e '(@ (hydrilla) hydrilla)' outputs:

guix environment: checking the environment variables visible from shell '/bin/bash'...
guix environment: All is good! The shell gets correct environment variables.

But then, haketilo --version outputs:

Traceback (most recent call last):
File "/gnu/store/lgnglhOy421lx7acdkzsx9viOlzx7cazm-hydrilla-3.0bl/bin/.haketilo-real", line 33, in <module>
sys.exit (load_entry_point ('hydrilla==3.0bl', 'console_scripts', 'haketilo') ())
File "/gnu/store/lgnglhOy421lx7acd4kzsx9viOlzx7cazm-hydrilla-3.0bl/bin/.haketilo-real", line 25, in importlib_
load_entry_point
return next (matches) .load()
StopIteration

and haketilo outputs the same thing.

#16 - 10/13/2022 09:20 PM - koszko

sqlite3.OperationalError: unable to open database file

This error is that fault of mine which | have already identified - can be temporarily worked around by mkdir'ing ~/.haketilo/store.

I'm trying hard to think of another reason why haketilo console_scripts entry can be found in a container but cannot be found when running without a
container. In case of the binary release tarball, | noticed that when /gnu/store/<some_directory> exists, its contents are used instead of tarball's
Jgnu/store/<some_directory>. So, | think we could make one more experiment with the binary release tarball - if you want, of course. You're already
volunteering a lot.

So, you could try this little hack

unshare -Umr # create a new user mount namespace with root privileges inside
mount -t tmpfs dummy /gnu/ # make /gnu empty inside user namespace

./haketilo # try running the binary release with empty /gnu

exit # get out of the namespace
It this does work, it might be an issue with the Guix packages you're holding. If it ends up with the same error (and that's my bet), there's also a
chance some weird variables are set by files under /etc/profile.d/ or similar and somehow not detected by --check. To verify that, we can modify the
unpacked gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0kxgh-hydrilla-3.0b1/bin/.haketilo-real to add the following debugging lines (similar as in the patch
before) at the top, just after the initial shebang line.

import os

print ('os.environ is', os.environ)

import sys

print ('sys.path is', sys.path)

After that, running Haketilo with an empty /gnu once again might give us more information.

Regardless of whether this will work, as a temporary workaround just for you, you can replace your current container command with

guix environment -L . --container --no-cwd --network --share=$HOME/.haketilo=$HOME/.haketilo --ad-hoc -e '(@ (
hydrilla) hydrilla)' -- haketilo
which will

e prevent sharing of your current directory with the container (it is not needed)

e make haketilo TCP port visible to the browser (hopefully)

¢ cause the ~/.haketilo directory to be the same as outside the container (this way, the same mitmproxy certs will be used each time)
¢ run haketilo immediately, without spawning a shell

Digression

Btw, | also used to put my own variables initialization in ~/.bashrc. And that's not without a reason - many (most?) terminal emulators out there seem
to be starting bash in a way that it doesn't consider itself a login shell and does not process ~/.profile nor ~/.bash_profile at all!

Although this is not at all related to running Haketilo, | thought I'd tell you the workaround | employed. Inside ~/.bashrc | added

# Make this bash a login shell if running inside my preferred terminal emulator.
if [ -z "$_DOT_PROFILE_SOURCED" ] && [ sakura = "$(ps —-g "$PPID" -o comm=)" ];
then

exec bash -1
fi

| did put it near the top, just after the following check that was present in the original, auto-generated ~/.bashrc

# If not running interactively, don't do anything
case $- in
*i*) i
*) return;;
esac

Then, | modified the part of ~/.profile that sources ~/.bashrc to define the _DOT_PROFILE_SOURCED variable

# if running bash
if [ -n "S$BASH_VERSION" ]; then
# include .bashrc if it exists
if [ —-f "SHOME/.bashrc" ]; then
_DOT_PROFILE_SOURCED=1 . "SHOME/.bashrc"
fi
Now, when | open sakura (the terminal emulator | am using), the bash inside does read ~/.profile but it doesn't do so on other occasions **

#17 - 10/15/2022 02:54 AM - jacobk

Using the new instructions starting with "unshare", | got

Traceback (most recent call last):
File "/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 33, in <module>
sys.exit (load_entry_point ('hydrilla==3.0bl', 'console_scripts', 'haketilo') ())
File "/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 25, in importlib_
load_entry_point
return next (matches) .load()
StopIteration

so it does not work still. After adding the debug info lines at the beginning of .haketilo-real, | got

os.environ is environ ({'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/jacobk-K55A:@/tmp/.ICE-unix/2221,unix/j
acobk-K55A: /tmp/.ICE-unix/2221', 'WINDOWID': '72101969', 'QT_ACCESSIBILITY': 'l', 'COLORTERM': 'truecolor', 'X
DG_CONFIG_DIRS': '/etc/xdg/xdg-mate:/etc/xdg:/usr/share/triskel-default-settings/kf5-settings', 'XDG_SESSION_P
ATH': '/org/freedesktop/DisplayManager/Session0O', 'GTK_IM_MODULE': 'ibus', 'LANGUAGE': 'en_US', 'DEVKITPRO': '
/opt/devkitpro', 'GUIX_PYTHONPATH': '/gnu/store/ziiryffcgph9jjcldz4rv2x5v6yOkxgh-hydrilla-3.0bl/1lib/python3.9/
site-packages:/gnu/store/06pzx72mv7k4mlhwwohbkfgdngv3z59m-python-setuptools-scm-6.3.2/1ib/python3.9/site-packa
ges:/gnu/store/p47c9xwrvid9gxpggacpqdil2jgki68z—python-babel-2.9.0/1ib/python3.9/site-packages:/gnu/store/h7kr
5sgqar0210s131x1596d4nb5wp667x-python-pytest-6.2.5/1ib/python3.9/site-packages:/gnu/store/whwdmwikdayp8pzjg83vcqg
cgfwlvn39x-python-pypa-build-0.7.0/1lib/python3.9/site-packages:/gnu/store/4w3ac8bdpijz4icm5dfdyl5kgyliwyyam—pyt
hon-mypy-0.942/1ib/python3.9/site-packages:/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-python-types-requests-2
.26.0/1ib/python3.9/site-packages:/gnu/store/yym5glild05wagmshz4c7wvhylwfdbwlk-mitmproxy-8.1.1/1ib/python3.9/si
te-packages:/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/python3.9/site-packag
es:/gnu/store/v301£fyk48gm977a8his728ck0f7/mhyyg-python-click-8.1.2/1ib/python3.9/site-packages:/gnu/store/xr79n
94c95w90kridcOxpxikdlfzzvcl-python-flask-2.1.1/1ib/python3.9/site-packages:/gnu/store/ab47brd45jllzx6pyjdl86gq7k
gfd7mnkb-python-gnupg-0.4.8/1lib/python3.9/site-packages:/gnu/store/x4s73jng91jd5srb3bclg3fggvh8577nd-python-htm
151ib-1.1/1ib/python3.9/site-packages:/gnu/store/9%9a5rbkmOklwi9fm7zflwmcnr8m96prmy-python-immutables-0.19/1ib/p
ython3.9/site-packages:/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdangerous-2.0.1/1ib/python3.9/sit
e-packages:/gnu/store/llhva2f62waygr7k7a7f53cn7npvnfsl-python-jsonschema-3.2.0/1ib/python3.9/site-packages:/gn
u/store/1iwx91y5jjr3fprnjf8nwf6zxxvdyr6d-reuse-0.14.0/1ib/python3.9/site-packages:/gnu/store/papscspynmdi5ljmn
gw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-packages:/gnu/store/4k52mqy3c7dkgfmxgl211zqg3k9vx6gz5-python-to
mli-2.0.0/1lib/python3.9/site-packages:/gnu/store/vrlebfOblbzmzvckva708fpng3glcfwh-python-packaging-bootstrap-2
1.3/1ib/python3.9/site-packages:/gnu/store/fkx18fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-2021.1/1ib/python3.9/s
ite-packages:/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9/site-packages:/gnu
/store/nl158g651x8dbhmxp621345pz4zmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages:/gnu/store/84s107345zxgb
kmvya5lyhrfj5iz0v2wx—-python-six-bootstrap-1.16.0/1ib/python3.9/site-packages:/gnu/store/k49pbvmdlv7cjhfgsgkdjg
v4rd94gx7x-python-py-1.10.0/1ib/python3.9/site-packages:/gnu/store/1dh3ra00gakpp27jpl88m36rllij495z-python-plu
ggy-0.13.1/1ib/python3.9/site-packages:/gnu/store/mpcslygybwvliv6ejvailledf27nbgwwp8-python-more-itertools-8.2.0
/lib/python3.9/site-packages:/gnu/store/lhsssslmrxmsyrd4w9zv8gbpb7zncdg8-python—iniconfig-1.1.1/1ib/python3.9/
site-packages:/gnu/store/74kivpgcisn7réen53zarspwdxgkgbll4-python-attrs-bootstrap-21.2.0/1ib/python3.9/site—-pac
kages:/gnu/store/0pi8kjdwkszhlklgw8asm29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.9/site-packages:/g
nu/store/5whaphwnvjab8zbi3mwd4ra993615nd4yz—-python-typing-extensions-4.0.1/1ib/python3.9/site-packages:/gnu/stor
e/csgkgklm3rf8£f7p518m8mf2sd5grvas—python-mypy-extensions-0.4.3/1ib/python3.9/site-packages:/gnu/store/ymzrwlr
86296s0bdjbcx05g23bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages:/gnu/store/cgx410ip27ikc9ib0clli
gicm2g38r71-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages:/gnu/store/487£fx11blcv5ciji72z87k56173
vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages:/gnu/store/adgjagl9siip20p0xhkpyjdnjjcd654a-python-urw
id-2.1.2/1ib/python3.9/site-packages:/gnu/store/ygdvrdéwk6pwngysgb9s78vd3kjcvsba-python-tornado-6.1/1ib/python
3.9/site-packages:/gnu/store/0l4qywhp7c7lic3gsdvzwmvE0lizf9r2—-python-sortedcontainers—-2.1.0/1ib/python3.9/site
—-packages:/gnu/store/13189g8jgz4g365idwgcadm94hk7mday-python-ruamel.yaml-0.16.13/1ib/python3.9/site-packages:/
gnu/store/aclnj53rpn8ki2npalsebcrcprgf/zg6-python-pyperclip-1.8.2/1ib/python3.9/site-packages:/gnu/store/f9%a6s
mln5z5240d9k1mk5jg8bémngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-packages:/gnu/store/ywd681x121n82g6ckqgy
ymbkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages:/gnu/store/rléydbsxjjlimjsgkj05bkgylylw3ifd-p
ython-protobuf-3.12.4/1ib/python3.9/site-packages:/gnu/store/y2yllgisw2rcOygjhdy6xjpml5ggz4fv-python-passlib-1
.7.4/1ib/python3.9/site-packages:/gnu/store/gb95h77225vk3dnnvzgpbhpdl 92v7w2h-python—-msgpack—-1.0.3/1ib/python3.
9/site-packages:/gnu/store/alldapk3jmhbv011g37hg9viwd jzgvlb-python-1dap3-2.7/1ib/python3.9/site-packages:/gnu/
store/vni7bai89v2l2agky7aihvflkwdd6iwr-python-kaitaistruct-0.10/1lib/python3.9/site-packages:/gnu/store/8z52kxf
rn9bnghi5zvaga7b9ss7hg9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages:/gnu/store/rwpkgrm75994jnjwIlmfe
87p6xbylg6x-python-h2-4.1.0/1ib/python3.9/site-packages:/gnu/store/v8gnbynwgznlrbvd2xv5cj304020xfb8-python-hll
-0.12.0/1ib/python3.9/site-packages:/gnu/store/1lmi55b4fmdr206ii6gmwrdgzafnOb97r-python-cryptography-36.0.1/1ib
/python3.9/site-packages:/gnu/store/5fxcvip9gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/1ib/python3.9/site-pa
ckages:/gnu/store/i9ddvyf9vgzmfxh28slbilzc8xyk8zn5-python-blinker—-1.4/1ib/python3.9/site-packages:/gnu/store/y
xxandg091lnlwwms jjad60wpd5z9vcli-python—-asgiref-3.4.1/1ib/python3.9/site-packages:/gnu/store/bj5dlalasmnzh9ggxj
cgbbwa9fww96gd-python—-1xml-4.6.3/1ib/python3.9/site-packages:/gnu/store/5nk331ifpxxljrwvsambdcnxwrxqglkjwi-pytho
n-soupsieve-2.2.1/1lib/python3.9/site-packages:/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-python-werkzeug-2.0.
2/1lib/python3.9/site-packages:/gnu/store/idwg7yli7lkdaadgavexn5xzb6rkcp20-python-jinja2-3.1.1/1ib/python3.9/si
te-packages:/gnu/store/bxrh6gxczls7wf35kfvd0p4n8hk0428m-python-importlib-metadata-4.11.3/1lib/python3.9/site-pa
ckages:/gnu/store/0pi7vrps9pmkmkgcclkmb0lxhyg3lyi5-python-chardet-3.0.4/1ib/python3.9/site-packages:/gnu/store
/g53zkr19vz43mrx9h0gigj31lfdsmndll-python-webencodings-0.5.1/1ib/python3.9/site-packages:/gnu/store/cl3nc3lbzg]
ifp5c4£fz0g0h34bjaibf6-python-six-1.16.0/1ib/python3.9/site-packages:/gnu/store/q06w09£937g54kwwb3sfg8zdqygn0gi
l-python-pyrsistent-0.16.0/1ib/python3.9/site-packages:/gnu/store/88rlck93vmrdsavifm2hh99gzzdsdaaf7-python-attr
s-21.2.0/1ib/python3.9/site-packages:/gnu/store/wzkwypg2wx3k21lswd8zmjgnvcczzzcxi-python-wheel-0.37.0/1ib/pytho
n3.9/site-packages:/gnu/store/Tmcfghl6v32k7bwdcv59bh9yqglkippxf-python-filelock-3.0.12/1ib/python3.9/site-packa
ges:/gnu/store/fhiv69glcxg9grxawwbxpagqgj90hhsjg-python-distlib-0.3.1/1lib/python3.9/site-packages:/gnu/store/26
1dzj9xcirdrh7narm79gggcal2ka3dh-python-appdirs-1.4.3/1ib/python3.9/site-packages:/gnu/store/diymlfxk82db89yn55v
qgh4923irqgh8-python-ruamel.yaml.clib-0.2.6/1ib/python3.9/site-packages:/gnu/store/myxylOnné6lnrpfyvx20rg4416km
c25kl-python-bcrypt-3.2.0/1ib/python3.9/site-packages:/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd-python-pyasn
1-0.4.8/1ib/python3.9/site-packages:/gnu/store/m0x8jwdhipOp7gmlpfgvecfg7kh9aspz-python-gssapi-1.6.12/1ib/pytho
n3.9/site-packages:/gnu/store/kjyl2km9waSmpcfw2mg7r5r4x3g471lgl-python-hpack-4.0.0/1ib/python3.9/site-packages:
/gnu/store/jlx0r8vnrl7ywdls9g9cmjlgwlkznlmv-python-iso08601-0.1.13/1ib/python3.9/site-packages:/gnu/store/wédhxd
Tw2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages:/gnu/store/p09%ad3pwazgijcfblzw941lmwg0]j
gd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages:/gnu/store/5i1flcqg3fn6mx3k20pv5pak2vnd3ybxd-python-asnlc
rypto-1.4.0/1lib/python3.9/site-packages:/gnu/store/jbxjcwhb2f6nkigzrfdgp8avx/yckbys-python-requests-2.26.0/1ib
/python3.9/site-packages:/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.1/1ib/python3.9/sit
e-packages:/gnu/store/613kcbcgicf9acvilOhvdarbfnz6pzx3j-python-zipp-1.0.0/1ib/python3.9/site-packages:/gnu/stor
e/fl0aa3gbahl4mgmwdl 6xn0wbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages:/gnu/store/m5p8iinvgbyls
ym631lbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages:/gnu/store/jmddg8vksmag7/mcbkgll5wpcpgv8g
agf-python-urllib3-1.26.7/1lib/python3.9/site-packages:/gnu/store/y0bzhlbg81l8mpkklpb8iv8410fy9%a526-python-chars
et-normalizer-2.0.5/1ib/python3.9/site-packages:/gnu/store/hyglphskalgknm3q0jfdzk820plgl55i-python-certifi-202
0.12.5/1ib/python3.9/site-packages:/gnu/store/d39sww9kpd2viTwxgkb9ig2ydbg519bb-python-pysocks-1.7.1/1ib/python
3.9/site-packages: /home/jacobk/.guix-profile/lib/python3.9/site-packages:/home/jacobk/.guix-profile/lib/python
3.9/site-packages: /home/jacobk/.guix-profile/lib/python3.9/site-packages', 'QT4_IM_MODULE': 'ibus', 'MANDATORY
_PATH': '/usr/share/gconf/mate.mandatory.path', 'USE_CCACHE': 'l', 'SSH_AUTH_SOCK': '/run/user/1000/keyring/ss
h', 'THEOS': '/home/Jjacobk/theos', 'XMODIFIERS': '@im=ibus', 'DESKTOP_SESSION': 'mate', 'SSH_AGENT_PID': '2313
', 'GTK_MODULES': 'gail:atk-bridge:canberra-gtk-module', 'XDG_SEAT': 'seat0O', 'MATE_DESKTOP_SESSION_ID': 'this
—is—-deprecated', 'PWD': '/home/jacobk/Programs/haketilo-and-hydrilla-3.0-betal', 'XDG_SESSION_DESKTOP': 'mate'
, 'LOGNAME': 'Jacobk', 'QT_QPA_PLATFORMTHEME': 'gtk2', 'XDG_SESSION_TYPE': 'x11', 'GPG_AGENT_INFO': '/run/user
/1000/gnupg/S.gpg-agent:0:1', 'XAUTHORITY': '/home/jacobk/.Xauthority', 'XDG_GREETER_DATA_DIR': '/var/lib/ligh
tdm-data/jacobk', 'GDM_LANG': 'en_US', 'HOME': '/home/jacobk', 'LANG': 'en_US.UTF-8', 'LS_COLORS': 'rs=0:di=01
;34:1n=01;36:mh=00:p1i=40;33:50=01;35:do=01;35:bd=40;33;01:cd=40;33;01:0r=40;31;01:mi=00:su=37;41:s59=30;43:ca=3
0;41:tw=30;42:0w=34;42:s5t=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.1lha=01;
31:%.124=01;31:*.1zh=01;31:*.1zma=01;31:*.t1z=01;31:*.txz=01;31:*.tz0o=01;31:*.t72z=01;31:*.2zip=01;31:*.2z=01;31:
*.dz=01;31:*.9z=01;31:*.1rz=01;31:*.12z=01;31:*.12z0=01;31:*.x2=01;31:*.2zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=
01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01
;3l:*.rar=01;31:*.alz=01;31l:*.ace=01;31:*.z00=01;31:*.cpio=01;31:*.72z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31
c*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.3pg=01;35:*.Jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;
35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:* .xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;3
5:%.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:* . mpeg=01;35:*.m2v=01;35:*.mkv=01; 3
5:*%.webm=01;35:*.0ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.gt=01;35:*.nuv=01;35:*.wmv=01; 35
:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.f1c=01;35:*.avi=01;35:*.£f11i=01;35:*.f1lv=01;35:*.91=01;35:*.d1=01;35:*.x
cf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.0gv=01;35:*.0gx=01;35:*.aac=00;36:*.au=00;36:*.flac
=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.09g=00;36:*.ra=00;36:*.wav=0
0;36:*.0ga=00;36:*.0pus=00;36:*.spx=00;36:*.xspf=00;36:"', 'XDG_CURRENT_DESKTOP': 'MATE', 'VTE_VERSION': '6003"'
, '"GIO_EXTRA_MODULES': '/home/jacobk/.guix-profile/lib/gio/modules: /home/jacobk/.guix-profile/lib/gio/modules:
/home/jacobk/.guix-profile/lib/gio/modules', 'XDG_SEAT_PATH': '/org/freedesktop/DisplayManager/Seat0', 'GAJIM_
PLUGIN_PATH': '/home/jacobk/.guix-profile/share/gajim/plugins', 'DEVKITARM': '/opt/devkitpro/devkitARM', 'DOOM
WADDIR': '/home/Jjacobk/.guix-profile/share/games/doom: /home/jacobk/.guix-profile/share/games/doom: /home/jacobk
/.guix-profile/share/games/doom', 'CLUTTER_IM_MODULE': 'ibus', 'INFOPATH': '/home/jacobk/.guix-profile/share/i
nfo:/home/jacobk/.guix-profile/share/info: /home/jacobk/.config/guix/current/share/info:/home/jacobk/.guix-prof
ile/share/info:/home/jacobk/.config/guix/current/share/info:', 'LESSCLOSE': '/usr/bin/lesspipe %s %s', 'XDG_SE
SSION_CLASS': 'user', 'TERM': 'xterm-256color', 'GTK_OVERLAY_SCROLLING': '0', 'DEFAULTS_PATH': '/usr/share/gco
nf/mate.default.path', 'LESSOPEN': '| /usr/bin/lesspipe %s', 'LIBVIRT_DEFAULT_URI': 'gemu:///system', 'USER':

'jacobk', '"PAM_KWALLETS5_LOGIN': '/run/user/1000/kwallet5.socket', 'DISPLAY': ':0.0', 'SHLVL': '2', 'GUIX_LOCPA
TH': '/home/jacobk/.guix-profile/lib/locale', 'CCACHE_EXEC': '/usr/bin/ccache', 'QT_IM_MODULE': 'ibus', 'XDG_V
TNR': '7', 'XDG_SESSION_ID': 'c2', 'DEVKITPPC': '/opt/devkitpro/devkitPPC', 'XDG_RUNTIME_DIR': '/run/user/1000
', '"COMPIZ_CONFIG_PROFILE': 'mate', 'ANDROID_JACK_VM_ARGS': '-Dfile.encoding=UTF-8 -XX:+TieredCompilation -Xmx
4G', 'QT_AUTO_SCREEN_SCALE_FACTOR': '0', 'DOOMWADPATH': '/home/Jjacobk/.guix-profile/share/games/doom:/home/jac
obk/.guix-profile/share/games/doom: /home/jacobk/.guix-profile/share/games/doom', 'XDG_DATA_DIRS': '/home/jacob
k/.guix-profile/share:/home/jacobk/.guix-profile/share:/home/jacobk/.guix-profile/share:/usr/share/mate:/home/
jacobk/.guix-profile/share:/home/jacobk/.guix-profile/share:/home/jacobk/.local/share/flatpak/exports/share: /v
ar/lib/flatpak/exports/share:/usr/local/share:/usr/share:/var/lib/snapd/desktop', 'PATH': '/home/jacobk/.cargo
/bin:/home/jacobk/Programs/ffmpeg-git-20211013-amd64-static:/home/jacobk/.guix-profile/bin:/home/jacobk/.guix—
profile/sbin:/home/jacobk/.local/bin:/home/jacobk/.guix-profile/bin:/home/jacobk/.guix-profile/sbin:/home/jaco
bk/.config/guix/current/bin:/opt/devkitpro/tools/bin:/home/jacobk/Programs/node-vl14.17.3-1inux-x64/bin:/home/ ]
acobk/.local/bin:/home/jacobk/.guix-profile/bin: /home/jacobk/.guix-profile/sbin:/home/jacobk/.config/guix/curr
ent/bin:/opt/devkitpro/tools/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/

local/games:/snap/bin', 'GDMSESSION': 'mate', 'DBUS_SESSION_BUS_ADDRESS': 'unix:path=/run/user/1000/bus', 'EMA
CSLOADPATH': '/home/jacobk/.guix-profile/share/emacs/site-1lisp:/home/jacobk/.guix-profile/share/emacs/site-1is
p:/home/jacobk/.guix-profile/share/emacs/site-1lisp', 'QT_SCALE_FACTOR': 'l', 'OLDPWD': '/home/jacobk'})

sys.path is ['/gnu/store/ziiryffcgph9jjcldz4rv2x5v6yOkxgh-hydrilla-3.0bl/bin', '/gnu/store/papscspynmdi5ljmngw
5x5wbi9ijclxj-python-3.9.9/1ib/python39.zip', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/py
thon3.9', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/1ib-dynload', '/home/jacobk/
.local/lib/python3.9/site-packages', '/gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0kxgh-hydrilla-3.0bl/1lib/python3.9
/site-packages', '/gnu/store/06pzx72mv7k4dmlhwwohbkfgdngv3z59m-python-setuptools—-scm-6.3.2/1ib/python3.9/site-p
ackages', '/gnu/store/p47c9xwrvijd9gxpggacpqdil2jgki68z-python-babel-2.9.0/1ib/python3.9/site-packages', '/gnu/
store/h7krsqar0210s131x1596d4nb5wp667x-python-pytest-6.2.5/1ib/python3.9/site-packages', '/gnu/store/whwdmwikd
ayp8pzjg83vcgcgfwlvn39x-python-pypa-build-0.7.0/1ib/python3.9/site-packages', '/gnu/store/4w3ac8bidpjz4icm5dfdy
15kgyliwyyam-python-mypy—-0.942/1ib/python3.9/site-packages', '/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-pyth
on-types-requests-2.26.0/1ib/python3.9/site-packages', '/gnu/store/yym5glild05wamshz4c7wvhylwfdbwlk-mitmproxy—
8.1.1/1ib/python3.9/site-packages', '/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/
lib/python3.9/site-packages', '/gnu/store/v301fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/si
te-packages', '/gnu/store/xr79n94c95w90kridcOxpxikdlfzzvcl-python-flask-2.1.1/1ib/python3.9/site-packages', '/
gnu/store/ab47brd45311lzx6pyjdl86g7kgfd/mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages', '/gnu/store/x4s77jn
g913jd5srb3bclg3fgqgvh8577nd-python-html51ib-1.1/1ib/python3.9/site-packages', '/gnu/store/9%9a5rbkmOklwi9fm7zflwm
cnr8m96prmy-python-immutables-0.19/1ib/python3.9/site-packages', '/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c—
python-itsdangerous-2.0.1/1lib/python3.9/site-packages', '/gnu/store/llhva2f62waygr7k7a7f53cn7npvnfsl-python-js
onschema-3.2.0/1lib/python3.9/site-packages', '/gnu/store/liwx91ly5jjr3fprnjf8nwfézxxvdyr6d-reuse-0.14.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/4k52mgy3c7dkgfmxgl211zgq3k9vx6gz5-python-tomli-2.0.0/1lib/python3.9/site-pack
ages', '/gnu/store/vrlébfOblbzmzvckva708fpng3glcfwh-python-packaging-bootstrap-21.3/1lib/python3.9/site-package
s', '/gnu/store/fkx18fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-2021.1/1ib/python3.9/site-packages', '/gnu/store/
azbyw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9/site-packages', '/gnu/store/nl58g651x8dbhm
xp621345pzdzmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages', '/gnu/store/84si0j45zxgbkmvyaSlyhrfj5iz0v2
wx—-python-six-bootstrap-1.16.0/1ib/python3.9/site-packages', '/gnu/store/k49pbvmdlvicihfgsgkdjgqvdrd94gx7x—pyth
on-py-1.10.0/1ib/python3.9/site-packages', '/gnu/store/1dh3ra00gakpp27jpl88m36rllij495z-python-pluggy-0.13.1/1
ib/python3.9/site-packages', '/gnu/store/mpcslygybwvlvé6jvailOe6df27nbgwwp8-python-more-itertools—-8.2.0/1ib/pyth
on3.9/site-packages', '/gnu/store/lhsssslmrxmsyrd4w9zv8gbpb7zncdg8-python-iniconfig-1.1.1/1ib/python3.9/site-p
ackages', '/gnu/store/74kivpgcjisn7rén53zarspwdxgkgbll4-python-attrs-bootstrap-21.2.0/1ib/python3.9/site-packag
es', '/gnu/store/0Opi8kjdwkszhlklgw8asm29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.9/site-packages’',

' /gnu/store/5whaphwnvjab8zbi3mwi4ra993615ndyz-python-typing—extensions-4.0.1/1ib/python3.9/site-packages', '/gn
u/store/csgkgklm3rf8f7p518m8mE2sd5qgrIvas—-python-mypy-extensions-0.4.3/1ib/python3.9/site-packages', '/gnu/stor
e/ymzrwlr862g6s0bdibcx05923bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages', '/gnu/store/cgx410ip2
7ikc93b0clligicm2g38r71l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages', '/gnu/store/487fxllblcv5
ciji72z87k561j3vrrlz-python-wsproto-0.15.0/1lib/python3.9/site-packages', '/gnu/store/adgjagl9siip20p0xhkpyjdnj
jcd654a-python-urwid-2.1.2/1ib/python3.9/site-packages', '/gnu/store/ygdvrdowkopwngysgb9s78vd3kjcvsba-python-t
ornado-6.1/1ib/python3.9/site-packages', '/gnu/store/0l4qgywhp7c71lic3gsdvzwmvi0lizf9r2-python-sortedcontainers—
2.1.0/1lib/python3.9/site-packages', '/gnu/store/1318qg8jgz4qg365idwgcadm94hk7mday-python-ruamel.yaml-0.16.13/11
b/python3.9/site-packages', '/gnu/store/aclnj53rpn8kiZ2npalsébcrcprgf7zgé6-python-pyperclip-1.8.2/1ib/python3.9/
site—-packages', '/gnu/store/f9a6smln5z5240d9%1mk5jg8b6mngiwl-python-pyparsing—-3.0.6/1ib/python3.9/site-package
s', '/gnu/store/ywd681x121n82g6ckggyymbkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages', '/gnu/s
tore/rleoydbsxjjlimjsgkj05bkgylylw3ifd-python-protobuf-3.12.4/1ib/python3.9/site-packages', '/gnu/store/y2yllgi
sw2rcOygjh4y6xjpml5ggz4fv-python-passlib-1.7.4/1ib/python3.9/site-packages', '/gnu/store/gb95h77225vk3dnnvzgpb
hpdl92v7w2h-python-msgpack-1.0.3/1ib/python3.9/site-packages', '/gnu/store/alldapk3jmhbv011g37hg9viwidjzgvlib-py
thon-ldap3-2.7/1lib/python3.9/site-packages', '/gnu/store/vni7bai89v2l2agky7aihvflkwddéiwr-python-kaitaistruct-
0.10/1ib/python3.9/site-packages', '/gnu/store/8z52kxfrn9bnghi5zvaga’b9ss7hg9vh-python-hyperframe-6.0.1/1ib/py
thon3.9/site-packages', '/gnu/store/rwpkgrm75994jnjw9lmf687p6xbylg6x—python-h2-4.1.0/1ib/python3.9/site-packag
es', '/gnu/store/v8gnbynwgznlrbvd2xv5cj304020xfb8-python-h11-0.12.0/1ib/python3.9/site-packages', '/gnu/store/
1mi55b4fmdr206ii6gmwrdgzafnOb97r-python-cryptography-36.0.1/1ib/python3.9/site-packages', '/gnu/store/5fxcv0p9
gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/1ib/python3.9/site-packages', '/gnu/store/i9ddvyf9vgzmfxh28slbilz
c8xyk8zn5-python-blinker-1.4/1ib/python3.9/site-packages', '/gnu/store/yxxandg09lnlwwmsjjad60wpd5z9vcli-python
-asgiref-3.4.1/1lib/python3.9/site-packages', '/gnu/store/bj5dlalasmnzh9qgxjcgbbwadfwwd6qgd-python-1xml-4.6.3/11
b/python3.9/site-packages', '/gnu/store/5nk33ifpxxljrwvsambdcnxwrxglkjwi-python-soupsieve-2.2.1/1ib/python3.9/
site-packages', '/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-python-werkzeug-2.0.2/1ib/python3.9/site-packages
', '/gnu/store/idwg7yli7lkdaadgav6xn5xzb6rkcp20-python-jinja2-3.1.1/1ib/python3.9/site-packages', '/gnu/store/
bxrh6gxczls7wf35kfvd0p4n8hk0428m-python—-importlib-metadata-4.11.3/1ib/python3.9/site-packages', '/gnu/store/Op
i7vrps9pmkmkgcclkmb0lxhyg3lyi5-python-chardet-3.0.4/1ib/python3.9/site-packages', '/gnu/store/g53zkrl9vz43mrx9
hO0gigj31lf4smn4ll-python-webencodings-0.5.1/1ib/python3.9/site-packages', '/gnu/store/cl3nc3lbzgjifp5c4£fz0g0h34
bjaibf6-python-six-1.16.0/1ib/python3.9/site-packages', '/gnu/store/q06w09f937g54kwwb3sfg8zdgqygn0Ogil-python-py
rsistent-0.16.0/1ib/python3.9/site-packages', '/gnu/store/88rlck93vmrdsavfm2hh99gzzdsdaaf7-python-attrs-21.2.0
/lib/python3.9/site-packages', '/gnu/store/wzkwypg2wx3k2lswi48zmijgnvcczzzcxi—-python-wheel-0.37.0/1ib/python3.9/
site-packages', '/gnu/store/Tmcfghlév32k7bwdcv59bh9yglkippxf-python-filelock-3.0.12/1ib/python3.9/site-package
s', '/gnu/store/fhiv69glcxg9grxawwbxpaqqj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-packages', '/gnu/stor
e/261dzj9xcirdrh7narm79gqggca2ka3dh-python-appdirs-1.4.3/1ib/python3.9/site-packages', '/gnu/store/diymlfxk82db
89yn55vgqgh4923irggh8-python-ruamel.yaml.clib-0.2.6/1ib/python3.9/site-packages', '/gnu/store/myxylOnné6lnrpfyvx
20rg4416kmc25kl-python-bcrypt-3.2.0/1ib/python3.9/site-packages', '/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd
-python-pyasnl-0.4.8/1ib/python3.9/site-packages', '/gnu/store/m0x8jwdhipOp7gmlpfgvécfg7kh9aspz-python-gssapi—
1.6.12/1ib/python3.9/site-packages', '/gnu/store/kjyl2km9wabmpcfw2mg7r5rdx3g471lgl-python-hpack-4.0.0/1ib/pytho
n3.9/site-packages', '/gnu/store/Jj1x0r8vnrl7ywdls9g9cmijlgwlkznlmv-python-1s08601-0.1.13/1ib/python3.9/site-pac
kages', '/gnu/store/w4hxd7w2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages', '/gnu/stor
e/p09ad3pwazgjcfblzw941lmwg0jgd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages', '/gnu/store/5ilflcg3fnémx3
k20pv5pak2vnd3ybxd-python-asnlcrypto-1.4.0/1lib/python3.9/site-packages', '/gnu/store/jbxjcwhb2fénkigzrfdgp8avx
7Tyckbys—-python-requests-2.26.0/1ib/python3.9/site-packages', '/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-pyth
on-markupsafe-2.0.1/1ib/python3.9/site-packages', '/gnu/store/61l3kcbcgicf9acvilOhvdarbfnzépzx3j-python-zipp-1.0
.0/1lib/python3.9/site-packages', '/gnu/store/flaa3gbahldmgmwdl 6xnOwbnhml5b0jm-python-decorator-5.0.9/1ib/pytho
n3.9/site-packages', '/gnu/store/m5p8iinvgbylsym6jlbg9vp27cr7yb0g-python-pycparser—-2.20/1ib/python3.9/site-pac
kages', '/gnu/store/jmd4dg8vksmagimcbkgll5wpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages', '/gnu
/store/y0bzhlbg8l8mpkklpb8iv8410fy9a526—-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages', '/gnu/st
ore/hyglphskalgknm3g0jfdzk820plgl55i-python-certifi-2020.12.5/1ib/python3.9/site-packages', '/gnu/store/d39sww
9kp42vEiTwxgkb9ig2ydbg519bb-python-pysocks-1.7.1/1ib/python3.9/site-packages', '/home/jacobk/.guix-profile/lib/
python3.9/site-packages', '/home/jacobk/.guix-profile/lib/python3.9/site-packages', '/home/Jjacobk/.guix-profil
e/lib/python3.9/site-packages', '/gnu/store/papscspynmdi5ljimngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-p
ackages']
Traceback (most recent call last):
File "/gnu/store/ziiryffcgph9jjcldz4rv2x5v6eyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 42, in <module>
sys.exit (load_entry_point ('hydrilla==3.0bl', 'console_scripts', 'haketilo') ())
File "/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 34, in importlib_
load_entry_point
return next (matches) .load()
StopIteration

Using the "temporary workaround", Haketilo seems to work fine, actually. | noticed | had to allow scripts in Haketilo 2.0 for the scripts on hkt.mitm.it to
run, haha. I'll get rid of Haketilo 2.0 eventually (except for testing).

Also, | might not have as much time to test things the next 2-3 days, so, if you cannot reproduce the error | am running into without the workaround, |

think you should go ahead and release beta 2 with a warning about known issue (or just use the workaround automatically for everyone, but | assume
that may have some downsides). Though, | guess it's not really that important, since it's a beta anyway.

#18 - 10/15/2022 10:54 AM - koszko

jacobk wrote:

After adding the debug info lines at the beginning of .haketilo-real, | got
[--]

| see the GUIX_PYTHONPATH variable contains - besides all the paths needed for Haketilo - an additional path of
/home/jacobk/.guix-profile/lib/python3.9/site-packages. This seems correct in general and shouldn't be causing problems. Nevertheless, | suspect that
in this particular case some files and directories under /home/jacobk/.guix-profile/lib/python3.9/site-packages might be confusing the importlib module
in some way. This is how you can check it once you have time:

You can modify the unpacked gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0Okxgh-hydrilla-3.0b1/bin/haketilo to add an

unset GUIX_PYTHONPATH

line after the shebang and before the export GUIX_PYTHONPATH-=[...] line. Then you can run it with the same command sequence as before, i.e.
unshare -Umr, mount -t tmpfs [...], etc.

Actually, there is yet another way to test the same thing - you could just add mount -t tmpfs dummy
/home/jacobk/.guix-profile/lib/python3.9/site-packages to the sequence of namespace commands we've been using.

Using the "temporary workaround", Haketilo seems to work fine, actually.

Finally, some good news :)
I noticed | had to allow scripts in Haketilo 2.0 for the scripts on hkt.mitm.it to run, haha.

Did | put any scripts on hkt.mitm.it (I don't recall)? Or do you actually mean the scripts injected by the proxy on other sites?

Also, | might not have as much time to test things the next 2-3 days,

No problem, that's totally understandable :)

s0, if you cannot reproduce the error | am running into without the workaround, | think you should go ahead and release beta 2 [...]

| agree.
Well,

or just use the workaround automatically for everyone, but | assume that may have some downsides

The most critical downside is that Guix doesn't facilitate such setup - so I'd need to do additional modifications on the pack made by Guix. But that
might nevertheless be the way to go. Thanks for the suggestion :)

Though, | guess it's not really that important, since it's a beta anyway.

Depends. Some pieces of software stay in "beta” for most of their life. Just the matter of how the maintainer labels a release "\ () /°
#19 - 10/21/2022 11:28 PM - jacobk
After adding unset GUIX_PYTHONPATH to gnu/store/ziiryffcgph9jjcldz4rv2x5v6yOkxgh-hydrilla-3.0b1/bin/haketilo in the binary release, | get

os.environ is environ({'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/jacobk-K55A:@/tmp/.ICE-unix/2221,unix/j
acobk-K55A: /tmp/.ICE-unix/2221', 'WINDOWID': '72753483', 'QT_ACCESSIBILITY': 'l', 'COLORTERM': 'truecolor', 'X
DG_CONFIG_DIRS': '/etc/xdg/xdg-mate:/etc/xdg:/usr/share/triskel-default-settings/kf5-settings', 'XDG_SESSION_P
ATH': '/org/freedesktop/DisplayManager/Session0O', 'GTK_IM_MODULE': 'ibus', 'LANGUAGE': 'en_US', 'DEVKITPRO': '
/opt/devkitpro', 'GUIX_PYTHONPATH': '/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/1ib/python3.9/
site-packages:/gnu/store/06pzx72mv7k4mlhwwOhbkfgdngv3z59m-python-setuptools—scm-6.3.2/1ib/python3.9/site-packa
ges:/gnu/store/pd7cI9xwrvid9gxpggacpgdil2jgki68z—python-babel-2.9.0/1ib/python3.9/site-packages:/gnu/store/h7kr
sgqar0210s131x1596d4nb5wp667x-python-pytest-6.2.5/1ib/python3.9/site-packages:/gnu/store/whwdmwikdayp8pzjg83vcqg
cgfwlvn39x-python-pypa-build-0.7.0/1lib/python3.9/site-packages:/gnu/store/4w3ac8bdpjz4icm5dfdyl5Skqyliwyyam—pyt
hon-mypy-0.942/1ib/python3.9/site-packages:/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-python-types—requests—-2
.26.0/1ib/python3.9/site-packages:/gnu/store/yym5qglild05wgmshz4c7wvhylwfdbwlk-mitmproxy-8.1.1/1ib/python3.9/si
te-packages:/gnu/store/2hgai8plgilxsfgv2kkwy0k21jxpc2z2-python-beautifulsoup4-4.10.0/1ib/python3.9/site-packag
es:/gnu/store/v301fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/site-packages:/gnu/store/xr79n
94c95w90kridcOxpxikdlfzzvcl-python-flask-2.1.1/1ib/python3.9/site-packages:/gnu/store/ab47brd531lzx6pyjdl86g7k
gfd7mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages:/gnu/store/x4s7jng91jd5srb3bclg3fqgvh8577nd-python-htm
151ib-1.1/1ib/python3.9/site-packages:/gnu/store/9a5rbkmOklwi9fm7zflwmcnr8m96prmy-python-immutables-0.19/1ib/p
ython3.9/site-packages:/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfs6c-python-itsdangerous-2.0.1/1ib/python3.9/sit
e-packages:/gnu/store/llhva2f62waygr7k7a7£53cn7npvnfsl-python-jsonschema-3.2.0/1ib/python3.9/site-packages:/gn
u/store/1liwx91y5jjr3fprnif8nwf6zxxvdyr6d-reuse-0.14.0/1ib/python3.9/site-packages:/gnu/store/papscspynmdi5l jmn
gw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-packages:/gnu/store/4k52mgy3c7dkgfmxgl211zg3k9vx6gz5-python-to
mli-2.0.0/1ib/python3.9/site-packages:/gnu/store/vrl6bfOblbzmzvckva7l08fpng3glcfwh-python-packaging-bootstrap-2
1.3/1ib/python3.9/site-packages:/gnu/store/fkx18fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-2021.1/1ib/python3.9/s
ite-packages:/gnu/store/az5yw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9/site-packages:/gnu
/store/nl58g651x8dbhmxp62i345pz4zmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages:/gnu/store/84si03j45zxgb
kmvya5lyhrfj5iz0v2wx—python-six-bootstrap-1.16.0/1lib/python3.9/site-packages:/gnu/store/k49pbvmdlvicjhfgsgkdig
v4rd94gx7x-python-py-1.10.0/1ib/python3.9/site-packages:/gnu/store/1dh3ral0gakpp27jpl88m36rl11ij495z-python-plu
ggy-0.13.1/1ib/python3.9/site-packages:/gnu/store/mpcslygybwvlvéjvail06df27nbgwwp8-python-more-itertools-8.2.0
/lib/python3.9/site-packages:/gnu/store/lhsssslmrxmsyrddw9zv8gbpb7zncdg8-python-iniconfig-1.1.1/1ib/python3.9/
site-packages:/gnu/store/74kivpgcjsn7ron53zarspwdxgkgbll4-python—-attrs-bootstrap-21.2.0/1ib/python3.9/site-pac
kages:/gnu/store/0pi8kjdwkszhlklgw8asm29rzm32s269-python-pep517-bootstrap-0.9.1/1ib/python3.9/site-packages:/g
nu/store/5whaphwnvjab8zbi3mw4ra993615ndyz-python-typing-extensions-4.0.1/1ib/python3.9/site-packages:/gnu/stor
e/csgkgklm3rf8f7p518m8mf2sd5gr9vas-python-mypy-extensions—-0.4.3/1ib/python3.9/site-packages:/gnu/store/ymzrwlr
862g6s0bdjbcx05g23bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages:/gnu/store/cgx410ip27ikc9jb0clli
gicm2g38r7l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages:/gnu/store/487fx11blcv5ciji72z87k56133
vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages:/gnu/store/adgjagl9siip20p0xhkpyjdnijcdé54a-python-urw
id-2.1.2/1ib/python3.9/site-packages:/gnu/store/ygdvrdéwk6pwngqysgb9s78vd3kjcvsba-python-tornado-6.1/1ib/python
3.9/site-packages:/gnu/store/014gywhp7c7lic3gsdvzwmvi0lizf9r2-python-sortedcontainers-2.1.0/1ib/python3.9/site
-packages:/gnu/store/1318gg8jgz4g365idwgcadm94hk7/mday-python-ruamel.yaml-0.16.13/1ib/python3.9/site-packages:/
gnu/store/aclnj53rpn8ki2npals6bcrcprgf7zgb-—python-pyperclip-1.8.2/1ib/python3.9/site-packages:/gnu/store/f%a6s
mln5z5240d9k1mk5jg8bbmngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-packages:/gnu/store/ywd681x121n82g6ckggy
ymbkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages:/gnu/store/rloydbsxjjlimjsgkj05bkgylylw3ifd-p
ython-protobuf-3.12.4/1ib/python3.9/site-packages:/gnu/store/y2yllgisw2rcOyqgjhdy6xjpml5ggz4fv-python-passlib-1
.7.4/1ib/python3.9/site-packages:/gnu/store/gb95h77225vk3dnnvzgpbhpdl92viw2h-python-msgpack-1.0.3/1ib/python3.
9/site-packages:/gnu/store/alldapk3jmhbv011937hg9viwd jzgvlib-python-1dap3-2.7/1lib/python3.9/site-packages:/gnu/
store/vni7bai89v2l2agky7aihvflkwdd6iwr-python-kaitaistruct-0.10/1ib/python3.9/site-packages:/gnu/store/8z52kxf
rn9bnghi5zvaga7b9ss7hg9vh-python-hyperframe-6.0.1/1ib/python3.9/site-packages:/gnu/store/rwpkgqrm75994jnjw9lmfe
87p6xbylg6x-python-h2-4.1.0/1ib/python3.9/site-packages:/gnu/store/v8gnbynwgznlrbvd2xv5cj304020xfb8-python-hll
-0.12.0/1ib/python3.9/site-packages:/gnu/store/1lmi55b4fmdr206ii6gmwrdgzafn0b97r-python-cryptography—-36.0.1/1ib
/python3.9/site-packages:/gnu/store/5fxcvOp9gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/1ib/python3.9/site-pa
ckages:/gnu/store/19ddvyf9vgzmfxh28slbilzc8xyk8zn5-python-blinker-1.4/1ib/python3.9/site-packages:/gnu/store/y
xxandg091lnlwwnms jjad60wpd5z9vcli-python-asgiref-3.4.1/1ib/python3.9/site-packages:/gnu/store/bj5dlalasmnzh9ggx’j
cgbbwadfww96gd-python-1xml-4.6.3/1ib/python3.9/site-packages:/gnu/store/5nk33ifpxxljrwvsambdcnxwrxglk jwi-pytho
n-soupsieve-2.2.1/1ib/python3.9/site-packages:/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-python-werkzeug-2.0.
2/1ib/python3.9/site-packages:/gnu/store/idwg7yli7lkdaadgav6xn5xzb6rkcp20-python-jinja2-3.1.1/1ib/python3.9/si
te-packages:/gnu/store/bxrh6gxczls7wf35kfvdOp4n8hk0428m-python—importlib-metadata-4.11.3/1ib/python3.9/site-pa
ckages:/gnu/store/0pi7vrps9pmkmkgcclkmb0lxhyg3lyi5-python-chardet-3.0.4/1ib/python3.9/site-packages:/gnu/store
/953zkrl9vz43mrx9h0gigj31lf4smn4ll-python-webencodings-0.5.1/1ib/python3.9/site-packages:/gnu/store/cl3nc3lbzg]j
1ifp5c4fz0g0h34bjaibf6-python-six-1.16.0/1ib/python3.9/site-packages:/gnu/store/q06w09f937g54kwwb3sfg8zdgygnlOgi
l-python-pyrsistent-0.16.0/1lib/python3.9/site-packages:/gnu/store/88rlck93vmrdsavim2hh99gzzdsdaaf7-python-attr
5s-21.2.0/1ib/python3.9/site-packages:/gnu/store/wzkwypg2wx3k2lsw48zmjgnvcczzzcxi-python-wheel-0.37.0/1ib/pytho
n3.9/site-packages:/gnu/store/Tmcfghl6v32k7bwdcv59bh9yglkippxf-python-filelock—-3.0.12/1ib/python3.9/site-packa
ges:/gnu/store/fhiv69glcxg9grxawwbxpagqqj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-packages:/gnu/store/26
ldzj9xcirdrh7narm79gqgca2kal3dh-python-appdirs-1.4.3/1ib/python3.9/site-packages:/gnu/store/diymlfxk82db89yn55v
gqgh4923irggh8-python-ruamel.yaml.clib-0.2.6/1ib/python3.9/site-packages:/gnu/store/myxylOnné6lnrpfyvx20rg4416km
c25kl-python-bcrypt-3.2.0/1ib/python3.9/site-packages:/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd-python-pyasn
1-0.4.8/1ib/python3.9/site-packages:/gnu/store/m0x8jwdhipOp7gmlpfgvecfgikh9aspz-—python-gssapi-1.6.12/1ib/pytho
n3.9/site-packages:/gnu/store/kjyl2km9wabmpcfw2mg7r5rd4x3g471lgl-python-hpack-4.0.0/1ib/python3.9/site-packages:
/gnu/store/jlx0r8vnrl7ywdls9g9cmjlgwlkznlmv-python-iso8601-0.1.13/1ib/python3.9/site-packages:/gnu/store/wdhxd
Tw2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages:/gnu/store/p09%ad3pwazgjcfblzw941lmwgo j
gd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages:/gnu/store/5i1flcg3fnbemx3k20pv5pak2vnd3ybxd-python-asnlc
rypto-1.4.0/1ib/python3.9/site-packages:/gnu/store/jbxjcwhb2féenkigzrfdgp8avx/yckbys-python-requests-2.26.0/11ib
/python3.9/site-packages:/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-python-markupsafe-2.0.1/1ib/python3.9/sit
e-packages:/gnu/store/613kcbcgicf9acvilOhvdarbfnz6pzx3j-python-zipp-1.0.0/1ib/python3.9/site-packages:/gnu/stor
e/fl0aa3gbahl4mgmwdl 6xn0wbnhml5b0jm-python-decorator-5.0.9/1ib/python3.9/site-packages:/gnu/store/m5p8iinvgbyls
ym631lbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-packages:/gnu/store/jmddg8vksmag7/mcbkgll5wpcpgv8g
agf-python-urllib3-1.26.7/1lib/python3.9/site-packages:/gnu/store/y0bzhlbg81l8mpkklpb8iv8410fy9%a526-python-chars
et-normalizer-2.0.5/1ib/python3.9/site-packages:/gnu/store/hyglphskalgknm3gq0jfdzk820plgl55i-python-certifi-202
0.12.5/1ib/python3.9/site-packages:/gnu/store/d39sww9kpd2viTwxgkb9ig2ydbg519bb-python-pysocks-1.7.1/1ib/python
3.9/site-packages', 'QT4_IM MODULE': 'ibus', 'MANDATORY_PATH': '/usr/share/gconf/mate.mandatory.path', 'USE_CC
ACHE': 'l', 'SSH_AUTH_SOCK': '/run/user/1000/keyring/ssh', 'THEOS': '/home/jacobk/theos', 'XMODIFIERS': '@im=i
bus', 'DESKTOP_SESSION': 'mate', 'SSH_AGENT_PID': '2313', 'GTK_MODULES': 'gail:atk-bridge:canberra-gtk-module'
, '"XDG_SEAT': 'seatO', 'MATE_DESKTOP_SESSION_ID': 'this-is-deprecated', 'PWD': '/home/jacobk/Programs/haketilo
—and-hydrilla-3.0-betal', 'XDG_SESSION_DESKTOP': 'mate', 'LOGNAME': 'jacobk', 'QT_QPA_PLATFORMTHEME': 'gtk2',
'XDG_SESSION_TYPE': 'x11l', 'GPG_AGENT_INFO': '/run/user/1000/gnupg/S.gpg-agent:0:1"', 'XAUTHORITY': '/home/jaco
bk/.Xauthority', 'XDG_GREETER_DATA_DIR': '/var/lib/lightdm-data/jacobk', 'GDM_LANG': 'en_US', 'HOME': '/home/j
acobk', 'LANG': 'en US.UTF-8', 'LS_COLORS': 'rs=0:di=01;34:1n=01;36:mh=00:pi=40;33:50=01;35:do=01;35:bd=40;33;
01:cd=40;33;01:0r=40;31;01:mi=00:s5u=37;41:59=30;43:ca=30;41:tw=30;42:0w=34;42:5t=37;44:ex=01;32:*.tar=01;31:*.
tgz=01;31l:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.1ha=01;31:*.124=01;31:*.1zh=01;31:*.1zma=01;31:*.t1z=01;31:*.t
xz=01;31:*.tzo=01;31:*.t72z=01;31:*.2zip=01;31:*.2=01;31:*.dz=01;31:*.9z=01;31:*.1rz=01;31:*.12=01;31:*.1z0=01;3
1:*%.x2z=01;31:*.2zst=01;31:*.tzst=01;31:*.02z2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*
.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.z00=01;31:*.c
pio=01;31:*.72z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.Jpg=01;35:*. jpeg
=01;35:*.mjpg=01;35:* .mjpeg=01;35:*.gif=01;35:* .bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xb
m=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mo
v=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:* .webm=01;35:*.0ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp
4v=01;35:*.vob=01;35:*.gt=01;35:*.nuv=01;35:* . wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=
01;35:*%.£1i=01;35:*.£f1v=01;35:*.g1=01;35:*.d1=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;3
5:*.0gv=01;35:*.0gx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36
:*.mp3=00;36:*.mpc=00;36:*.099=00;36:*.ra=00;36:*.wav=00;36:*.09a=00;36:*.0pus=00;36:*.spx=00;36:*.xspf=00;36:
', 'XDG_CURRENT_DESKTOP': 'MATE', 'VTE_VERSION': '6003', 'GIO_EXTRA_MODULES': '/home/jacobk/.guix-profile/lib/
gio/modules:/home/jacobk/.guix-profile/lib/gio/modules:/home/jacobk/.guix-profile/lib/gio/modules', 'XDG_SEAT_
PATH': '/org/freedesktop/DisplayManager/Seat0', 'GAJIM_PLUGIN_PATH': '/home/Jjacobk/.guix-profile/share/gajim/p
lugins', 'DEVKITARM': '/opt/devkitpro/devkitARM', 'DOOMWADDIR': '/home/jacobk/.guix-profile/share/games/doom:/
home/jacobk/.guix-profile/share/games/doom: /home/jacobk/.guix-profile/share/games/doom', 'CLUTTER_IM_MODULE':
'ibus', 'INFOPATH': '/home/Jjacobk/.guix-profile/share/info:/home/jacobk/.guix-profile/share/info:/home/jacobk/
.config/guix/current/share/info: /home/jacobk/.guix-profile/share/info: /home/jacobk/.config/guix/current/share/
info:', 'LESSCLOSE': '/usr/bin/lesspipe %s %s', 'XDG_SESSION_CLASS': 'user', 'TERM': 'xterm-256color', 'GTK_OV
ERLAY_SCROLLING': 'QO', 'DEFAULTS_PATH': '/usr/share/gconf/mate.default.path', 'LESSOPEN': '| /usr/bin/lesspipe
%s', 'LIBVIRT_DEFAULT_URI': 'gemu:///system', 'USER': 'jacobk', 'PAM_KWALLET5_LOGIN': '/run/user/1000/kwallet
5.socket', 'DISPLAY': ':0.0', 'SHLVL': '2', 'GUIX_LOCPATH': '/home/Jjacobk/.guix-profile/lib/locale', 'CCACHE_E
XEC': '/usr/bin/ccache', 'QT_IM _MODULE': 'ibus', 'XDG_VTNR': '7', 'XDG_SESSION_ID': 'c2', 'DEVKITPPC': '/opt/d
evkitpro/devkitPPC', 'XDG_RUNTIME_DIR': '/run/user/1000', 'COMPIZ_CONFIG_PROFILE': 'mate', 'ANDROID_JACK_VM_AR
GS': '-Dfile.encoding=UTF-8 -XX:+TieredCompilation -Xmx4G', 'QT_AUTO_SCREEN_SCALE_FACTOR': '0O', 'DOOMWADPATH':
' /home/jacobk/.guix-profile/share/games/doom: /home/jacobk/.guix-profile/share/games/doom: /home/jacobk/.guix—p
rofile/share/games/doom', 'XDG_DATA_DIRS': '/home/Jjacobk/.guix-profile/share:/home/jacobk/.guix-profile/share:
/home/jacobk/.guix-profile/share:/usr/share/mate: /home/jacobk/.guix-profile/share: /home/jacobk/.guix-profile/s
hare:/home/jacobk/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/shar
e:/var/lib/snapd/desktop', 'PATH': '/home/Jjacobk/.cargo/bin:/home/jacobk/Programs/ffmpeg-git-20211013-amd64-st
atic:/home/jacobk/.guix-profile/bin:/home/jacobk/.guix-profile/sbin:/home/jacobk/.local/bin:/home/jacobk/.guix
-profile/bin:/home/jacobk/.guix-profile/sbin:/home/jacobk/.config/guix/current/bin:/opt/devkitpro/tools/bin:/h
ome/jacobk/Programs/node-v14.17.3-1linux-x64/bin:/home/jacobk/.local/bin:/home/jacobk/.guix-profile/bin: /home/j
acobk/.guix-profile/sbin:/home/jacobk/.config/guix/current/bin:/opt/devkitpro/tools/bin:/usr/local/sbin:/usr/1
ocal/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin', 'GDMSESSION': 'mate', 'DBUS_SES
SION_BUS_ADDRESS': 'unix:path=/run/user/1000/bus', 'EMACSLOADPATH': '/home/Jjacobk/.guix-profile/share/emacs/si
te-lisp:/home/jacobk/.guix-profile/share/emacs/site-1lisp:/home/jacobk/.guix-profile/share/emacs/site-1lisp', 'Q
T_SCALE_FACTOR': 'l', 'OLDPWD': '/home/Jjacobk/Programs/hydrilla-3.0bl'})
sys.path is ['/gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0kxgh-hydrilla-3.0bl/bin', '/gnu/store/papscspynmdi5ljmngw
5x5wbi9ijclxj-python-3.9.9/1ib/python39.zip', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/py
thon3.9', '/gnu/store/papscspynmdi5ljmngw5x5wbi9ijclxj-python-3.9.9/1ib/python3.9/1ib-dynload', '/home/jacobk/
.local/lib/python3.9/site-packages', '/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/lib/python3.9
/site-packages', '/gnu/store/06pzx72mv7k4mlhwwOhbkfgdngv3z59m-python-setuptools-scm-6.3.2/1ib/python3.9/site-p
ackages', '/gnu/store/p47c9xwrvijd9gxpggacpgdil2jgki68z-python-babel-2.9.0/1ib/python3.9/site-packages', '/gnu/
store/h7krsqar0210s131x1596d4nb5wp667x-python-pytest-6.2.5/1ib/python3.9/site-packages', '/gnu/store/whwdmwikd
ayp8pzjg83vcgcgfwlvn39x-python-pypa-build-0.7.0/1ib/python3.9/site-packages', '/gnu/store/4w3ac8bdpjz4icmbdfdy
15kgyliwyyam-python-mypy-0.942/1ib/python3.9/site-packages', '/gnu/store/a3bkrj85wrba8f08hbmglgcdnbgsrg2g-pyth
on-types-requests-2.26.0/1ib/python3.9/site-packages', '/gnu/store/yym5qlild05wgmshz4c7wvhylwfdbwlk-mitmproxy—
8.1.1/1ib/python3.9/site-packages', '/gnu/store/2hgai8plgilxsfgv2kkwy0k21ljxpc2z2-python-beautifulsoup4-4.10.0/
lib/python3.9/site-packages', '/gnu/store/v301fyk48gm977a8his728ck0f7mhyyg-python-click-8.1.2/1ib/python3.9/si
te-packages', '/gnu/store/xr79n94c95w90kridcOxpxikdlfzzvcl-python-flask-2.1.1/1ib/python3.9/site-packages', '/
gnu/store/ab47br45jllzx6pyjdl86g7kgfd7mnkb-python-gnupg-0.4.8/1ib/python3.9/site-packages', '/gnu/store/x4s7]jn
g913d5srb3bclg3fggvh8577nd-python-html51ib-1.1/1ib/python3.9/site-packages', '/gnu/store/9a5rbkmOklwi9fm7zflwm
cnr8m96prmy-python-immutables-0.19/1ib/python3.9/site-packages', '/gnu/store/3yymOcchxng9vgcrsxmxhjaafl2cfséc—
python-itsdangerous-2.0.1/1ib/python3.9/site-packages', '/gnu/store/llhva2f62waygr7k7a7f53cn7npvnfsl-python-js
onschema-3.2.0/1ib/python3.9/site-packages', '/gnu/store/liwx91ly5jjr3fprnjf8nwf6zxxvdyr6d-reuse-0.14.0/1ib/pyt
hon3.9/site-packages', '/gnu/store/4k52mgy3c7dkgfmxgl211zg3k9vx6gz5-python-tomli-2.0.0/1ib/python3.9/site-pack
ages', '/gnu/store/vrlébfOblbzmzvckva708fpng3glcfwh-python-packaging-bootstrap-21.3/1ib/python3.9/site-package
s', '/gnu/store/fkx1l8fnk6cab2jr2ymafmdl8x7x9pdj9-python-pytz-2021.1/1ib/python3.9/site-packages', '/gnu/store/
az5yw33ifrrdwpsOfgmaalhsvdlgvwid-python-wcwidth-0.1.8/1ib/python3.9/site-packages', '/gnu/store/nl58g651x8dbhm
xp621345pz4zmpidrl-python-toml-0.10.2/1ib/python3.9/site-packages', '/gnu/store/84si0j45zxgbkmvya5lyhrfj5iz0v2
wx-python-six-bootstrap-1.16.0/1ib/python3.9/site-packages', '/gnu/store/k49pbvmdlvicjhfgsgkdjqvdrd94gx7x—pyth
on-py-1.10.0/1ib/python3.9/site-packages', '/gnu/store/1ldh3ral0gakpp27jpl88m36rllij495z-python-pluggy-0.13.1/1
ib/python3.9/site-packages', '/gnu/store/mpcslygybwvlvé6jvail06df27nbgwwp8-python-more-itertools-8.2.0/1ib/pyth
on3.9/site-packages', '/gnu/store/lhsssslmrxmsyrd4dw9zv8gbpb7zncdg8-python-iniconfig-1.1.1/1ib/python3.9/site-p
ackages', '/gnu/store/74kivpqgcisn7ré6n53zarspwdxgkgbll4-python—attrs—bootstrap—-21.2.0/1ib/python3.9/site-packag
es', '/gnu/store/0Opi8kjdwkszhlklgw8asm29rzm32s269-python-pep51l7-bootstrap-0.9.1/1ib/python3.9/site-packages’,
'/gnu/store/5whaphwnvijab8zbi3mw4ra993615ndyz-python-typing-extensions-4.0.1/1lib/python3.9/site-packages', '/gn
u/store/csgkgklm3rf8f7p518m8mf2sd5qrIvas—python-mypy-extensions—0.4.3/1ib/python3.9/site-packages', '/gnu/stor
e/ymzrwlr862g6s0bdjbcx05g23bdl4rp9-python-zstandard-0.15.2/1ib/python3.9/site-packages', '/gnu/store/cgx410ip2
7ikc93b0clligicm2g38r71l-python-publicsuffix2-2.20191221/1ib/python3.9/site-packages', '/gnu/store/487fxllblcv5
ci13i72287k561j3vrrlz-python-wsproto-0.15.0/1ib/python3.9/site-packages', '/gnu/store/adgjagl9siip20p0xhkpyjdnj
jcd654a-python-urwid-2.1.2/1ib/python3.9/site-packages', '/gnu/store/ygdvrdéwk6pwnqysgb9s78vd3kjcvséa-python-t
ornado-6.1/1ib/python3.9/site-packages', '/gnu/store/0l4dgywhp7c7lic3gsdvzwmvf0lizf9r2-python-sortedcontainers—
2.1.0/1lib/python3.9/site-packages', '/gnu/store/1318qg8jgz4g365idwgcadm94hk7mday—-python-ruamel.yaml-0.16.13/11i
b/python3.9/site-packages', '/gnu/store/aclnj53rpn8ki2npalsébcrcprgf7zg6-python-pyperclip-1.8.2/1ib/python3.9/
site-packages', '/gnu/store/f9%9a6smln5z5240d9k1mk5jg8bomngiwl-python-pyparsing-3.0.6/1ib/python3.9/site-package
s', '/gnu/store/ywd681x121n82g6ckggyymbkx4xydgk2-python-pyopenssl-22.0.0/1ib/python3.9/site-packages', '/gnu/s
tore/rleydbsxjjlimjsgkjO5Sbkgylylw3ifd-python-protobuf-3.12.4/1ib/python3.9/site-packages', '/gnu/store/y2yllgi
sw2rcOygihdy6exjpml5ggz4fv-python-passlib-1.7.4/1ib/python3.9/site-packages', '/gnu/store/gb95h77225vk3dnnvzgpb
hpdl192v7w2h-python-msgpack-1.0.3/1ib/python3.9/site-packages', '/gnu/store/all4apk3jmhbv011g37hg9viwidjzgvlib-py
thon-1ldap3-2.7/1lib/python3.9/site-packages', '/gnu/store/vni7bai89v2l2agky7aihvflkwddéiwr-python-kaitaistruct-
0.10/1ib/python3.9/site-packages', '/gnu/store/8z52kxfrn9bnghib5zvaga7b9ss7hg9vh-python-hyperframe-6.0.1/1ib/py
thon3.9/site—-packages', '/gnu/store/rwpkgqrm75994jnjw9lmf687p6xbylg6x—python-h2-4.1.0/1ib/python3.9/site-packag
es', '/gnu/store/v8gnbynwgznlrbvd2xv5cj304020xfb8-python-hl11-0.12.0/1ib/python3.9/site-packages', '/gnu/store/
Imi55b4fmdr206ii6gmwrdgzafn0b97r-python-cryptography-36.0.1/1ib/python3.9/site-packages', '/gnu/store/5fxcv0p9
gamcvwlib9jpbxlxyb3iahlh-python-brotli-1.0.9/1ib/python3.9/site-packages', '/gnu/store/idddvyf9vgzmfxh28slbilz
c8xyk8zn5-python-blinker-1.4/1ib/python3.9/site-packages', '/gnu/store/yxxandg09lnlwwmsjjad60wpd5z9vcli-python
—asgiref-3.4.1/1ib/python3.9/site-packages', '/gnu/store/bj5dlalasmnzh9qggxjcgbbwad9fwwdegd-python-1xml-4.6.3/11
b/python3.9/site-packages', '/gnu/store/5nk33ifpxxljrwvsambdcnxwrxglkjwi-python-soupsieve-2.2.1/1ib/python3.9/
site-packages', '/gnu/store/5b7kyvxmsip8idphsdsfv48synwn0964-python-werkzeug-2.0.2/1ib/python3.9/site-packages
', '/gnu/store/idwg7yli7lkdaadgav6xn5xzbérkcp20-python-jinja2-3.1.1/1ib/python3.9/site-packages', '/gnu/store/
bxrh6gxczls7wf35kfvdOp4n8hk0428m-python-importlib-metadata-4.11.3/1ib/python3.9/site-packages', '/gnu/store/0Op
i7vrps9pmkmkgcclkmb0lxhyg3lyi5-python-chardet-3.0.4/1ib/python3.9/site-packages', '/gnu/store/g53zkrl9vz43mrx9
h0gigj31lfdsmndll-python-webencodings-0.5.1/1ib/python3.9/site-packages', '/gnu/store/cl3nc3lbzgjifp5c4fz0g0h34
bjaibf6-python-six-1.16.0/1lib/python3.9/site-packages', '/gnu/store/q06w09£937g54kwwb3sfg8zdqygnlgil-python-py
rsistent-0.16.0/1lib/python3.9/site-packages', '/gnu/store/88rlck93vmrdsavim2hh99gzzdsdaaf7-python-attrs-21.2.0
/lib/python3.9/site-packages', '/gnu/store/wzkwypg2wx3k2lswd8zmjgnvcczzzcxi—-python-wheel-0.37.0/1ib/python3.9/
site-packages', '/gnu/store/Tmcfghlév32k7bwdcv59bh9yglkippxf-python-filelock-3.0.12/1ib/python3.9/site-package
s', '/gnu/store/fhiv69glcxg9grxawwbxpaqqj90hhsjg-python-distlib-0.3.1/1ib/python3.9/site-packages', '/gnu/stor
e/261dzj9xcirdrh7narm79gggcal2ka3dh-python-appdirs-1.4.3/1ib/python3.9/site-packages', '/gnu/store/diymlfxk82db
89yn55vggh4923irqgh8-python-ruamel.yaml.clib-0.2.6/1lib/python3.9/site-packages', '/gnu/store/myxylOnnélnrpfyvx
20rg4416kmc25kl-python-bcrypt-3.2.0/1ib/python3.9/site-packages', '/gnu/store/6hb6zs58giadz75xgf32d4c82gh8iavd
-python-pyasnl-0.4.8/1ib/python3.9/site-packages', '/gnu/store/m0x8jwdhipOp7gmlpfqgv6cfg7kh9aspz-python-gssapi-
1.6.12/1ib/python3.9/site-packages', '/gnu/store/kjyl2km9wabmpcfw2mg7r5r4dx3g471lgl-python-hpack-4.0.0/1ib/pytho
n3.9/site-packages', '/gnu/store/jlx0r8vnrl7ywdls9g9cmjlgwlkznlmv-python-iso8601-0.1.13/1ib/python3.9/site-pac
kages', '/gnu/store/wdhxd7w2nlwjdyj2yg3yifdmip508b59-python-idna-2.10/1ib/python3.9/site-packages', '/gnu/stor
e/p09ad3pwazgjcfblzw941lmwg0jgd4lzp-python-cffi-1.14.4/1ib/python3.9/site-packages', '/gnu/store/5ilflcg3fnémx3
k20pv5pak2vnd3ybxd-python-asnlcrypto-1.4.0/1ib/python3.9/site-packages', '/gnu/store/jbxjcwhb2fénkigzrfigp8avx
7Tyckbys—-python-requests-2.26.0/1ib/python3.9/site-packages', '/gnu/store/9gikfahx9wschf8jjlkc02gp8mzbfmcm-pyth
on-markupsafe-2.0.1/1ib/python3.9/site-packages', '/gnu/store/6l3kcbcgicf9acvilhvdarbfnzépzx3j-python-zipp-1.0
.0/1ib/python3.9/site-packages', '/gnu/store/fl0aa3gbahl4dmgmwdl6xnOwbnhml5b0jm-python-decorator-5.0.9/1ib/pytho
n3.9/site-packages', '/gnu/store/m5p8iinvgbylsym6jlbg9vp27cr7yb0g-python-pycparser-2.20/1ib/python3.9/site-pac
kages', '/gnu/store/jm4dg8vksmag7mcbkqgll5wpcpgv8gagf-python-urllib3-1.26.7/1ib/python3.9/site-packages', '/gnu
/store/y0bzhlbg818mpkklpb8iv8410fy9a526-python-charset-normalizer-2.0.5/1ib/python3.9/site-packages', '/gnu/st
ore/hyglphskalgknm3g0jfdzk820plgl55i-python-certifi-2020.12.5/1ib/python3.9/site-packages', '/gnu/store/d39sww
9kp42vETwxgkb9ig2ydbg519bb-python-pysocks—-1.7.1/1ib/python3.9/site-packages', '/gnu/store/papscspynmdi5ljmngw5
x5wbi9ijclxj-python-3.9.9/1ib/python3.9/site-packages']
Traceback (most recent call last):

File "/gnu/store/ziiryffcgph9jjcldz4rv2x5v6eyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 42, in <module>

sys.exit (load_entry_point ('hydrilla==3.0bl', 'console_scripts', 'haketilo') ())

File "/gnu/store/ziiryffcgph9jjcldz4rv2x5veyOkxgh-hydrilla-3.0bl/bin/.haketilo-real", line 34, in importlib_

load_entry_point
return next (matches) .load()

StopIteration

If I try to run mount -t tmpfs dummy /home/jacobk/.guix-profile/lib/python3.9/site-packages (between the other mount command and ./haketilo) | get:

mount: /home/jacobk/.guix-profile/lib/python3.9/site-packages: mount point does not exist.
Did | put any scripts on hkt.mitm.it (I don't recall)? Or do you actually mean the scripts injected by the proxy on other sites?

Weird, | had added https://hkt.mitm.it/*** to my allowed scripts list, but now that | check again | don't see any scripts on that page. It couldn't have
been any scripts needed to install the certificate, because that was https:/mitm.it and hkt.mitm.it wouldn't match mitm.it. So, I'm not really sure what
made me do that. It's probably better if it doesn't use JavaScript, so browsers without JavaScript use Haketilo too (not that that's useful now, but in the
future, when replacing HTML is officially supported, it would be beneficial | think).

#20 - 10/22/2022 09:44 AM - koszko

jacobk wrote:

After adding unset GUIX_PYTHONPATH to gnu/store/ziiryffcgph9jjcldz4rv2x5v6yOkxgh-hydrilla-3.0b1/bin/haketilo in the binary release, | get
(-]

OK, it was not the fault of GUIX_PYTHONPATH. | now also noticed that in sys.path even before
/gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0kxgh-hydrilla-3.0b1/lib/python3.9/site-packages there appears /home/jacobk/.local/lib/python3.9/site-packages.
| believe Python's default behavior is to add this directory to sys.path regardless of environment variables set. Given you were using hydrilla before, it
seems likely that you have a package named "hydrilla" installed there using pip and it's likely that it is an older version like 1.1-beta1. Obviously, older
versions did not have a "haketilo" console_scripts entry point which /gnu/store/ziiryffcgph9jjcldz4rv2x5v6y0kxgh-hydrilla-3.0b1/bin/.haketilo-real is
unsuccessfully trying to load.

| am now pretty sure this was the cause of errors. You can confirm by adding

mount -t tmpfs dummy /home/jacobk/.local/lib/python3.9/site-packages

to the sequence of namespace commands.
I really expect this command to make Haketilo start properly.

If I try to run mount -t tmpfs dummy /home/jacobk/.guix-profile/lib/python3.9/site-packages (between the other mount command and ./haketilo) |
get:

mount : /home/jacobk/.guix-profile/lib/python3.9/site-packages: mount point does not exist.

My bad - /home/jacobk/.guix-profile/lib/python3.9 is obviously a symlink to some directory under /gnu/ which we've already faked to be empty :)

It's probably better if it doesn't use JavaScript, so browsers without JavaScript use Haketilo too (not that that's useful now, but in the future, when
replacing HTML is officially supported, it would be beneficial | think).

Yep, that's what | am thinking about, too. Plus most people who could be interested in Haketilo are probably already using NoScript, uBO, LibreJS or
something similar for script blocking
#21 - 10/24/2022 07:45 AM - jacobk

Yes, after the extra mount command Haketilo does work properly with the binary release.

I noticed that although pip show hydrilla shows version 3.0b, python3.9 -m pip show hydrilla shows version 1.0. (This is because my pip default is for
python 3.8.) If | go to ~/.local/lib/python3.9/site-packages and rename all 3 folders starting with "hydrilla" to add "tmp-" to the beginning, then the
binary release works without manually using unshare and mount. python3.9 -m pip uninstall hydrilla (after renaming the folders back to what they
were) also makes the binary release work properly, and python3.9 -m pip install hydrilla breaks it again.

#22 - 10/25/2022 04:37 PM - koszko
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Python can be told to ignore user's local packages through setting of certain environment variable. To have it done automatically, | just modified the
Guix recipe to patch the shell wrappers of haketilo and other commands | provide. Here's the relevant commit

https:/qgit.koszko.org/pydrilla/commit/?h=koszko&id=f7c4dff95e88d58d61c51b2a6b94c90e2e4e0c4b

You can checkout this commit and try it if you want. Building is now easier than it was :) make release in project directory takes care of the entire
process and produces a nice tarball. Anyway, I'm pretty confident this particular issue is gone now.

The behavior of having user's local Python packages loaded before application's packages is somewhat strange. Perhaps Guix folks would be willing
to make my solution a default? Il make a suggestion

#23 - 10/26/2022 07:26 PM - jacobk

For some reason | cannot get the release to build. | ran git clone https://git.koszko.org/pydrilla and git checkout
f7c4dff95e88d58d61c51b2a6b94c90e2e4e0c4b and then make release. | tried with and without hydrilla installed in python3.9, and seemingly got the
same error. The below log is from the attempt after uninstalling hydrillai.0.

guix time-machine —--commit=a86979b41la49a8fcdaa887970ba594dbba701226 -- shell -Df guix.scm —- python3 -m build
-s

* Creating venv isolated environment...

* Installing packages in isolated environment... (babel, setuptools>=44, setuptools_scm>=5.0, wheel)
* Getting dependencies for sdist...

running egg_info

writing src/hydrilla.egg-info/PKG-INFO

writing dependency_links to src/hydrilla.egg-info/dependency_links.txt

writing entry points to src/hydrilla.egg-info/entry_points.txt

writing requirements to src/hydrilla.egg-info/requires.txt

writing top-level names to src/hydrilla.egg-info/top_level.txt

reading manifest template 'MANIFEST.in'

warning: no files found matching 'src/hydrilla/schemas/*/*.schema.json*'

warning: no files found matching 'tests/source-package—-example/*'

warning: no files found matching 'tests/source-package-example/LICENSES/*'

warning: no files found matching 'tests/source-package-example/.reuse/*'

.git' found anywhere in distribution

warning: no previously-included files matching
warning: no previously-included files matching '*.mo' found anywhere in distribution
adding license file 'COPYING'

writing manifest file 'src/hydrilla.egg-info/SOURCES.txt'

* Building sdist...

running sdist

running egg_info

writing src/hydrilla.egg-info/PKG-INFO

writing dependency_links to src/hydrilla.egg-info/dependency_links.txt

writing entry points to src/hydrilla.egg-info/entry_points.txt

writing requirements to src/hydrilla.egg-info/requires.txt

writing top-level names to src/hydrilla.egg-info/top_level.txt

09/06/2023 26/31


https://git.koszko.org/pydrilla/commit/?h=koszko&id=f7c4dff95e88d58d61c51b2a6b94c90e2e4e0c4b

reading

warning:
warning:
warning:
warning:
warning:
warning:

manifest template 'MANIFEST.in'
no files found matching 'src/hydrilla/schemas/*/*.schema.json*"'
no files found matching 'tests/source-package-example/*'
no files found matching 'tests/source-package—-example/LICENSES/*'
no files found matching 'tests/source-package—-example/.reuse/*'
no previously-included files matching '.git' found anywhere in distribution
no previously-included files matching '*.mo' found anywhere in distribution

adding license file 'COPYING'

writing
running

manifest file 'src/hydrilla.egg-info/SOURCES.txt'
check

creating hydrilla-3.0b2.dev22+gf7c4dff

creating

hydrilla-3.0b2.dev22+gf7c4dff/.reuse

creating hydrilla-3.0b2.dev22+gf7c4dff/LICENSES
creating hydrilla-3.0b2.dev22+gf7c4dff/doc

creating

hydrilla-3.0b2.dev22+gf7c4dff/doc/examples

creating hydrilla-3.0b2.dev22+gf7c4dff/doc/man

creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating
creating

copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying
copying

hydrilla-3.0b2.dev22+gf7c4dff/doc/man/manl
hydrilla-3.0b2.dev22+gf7c4dff/hydrilla-guix
hydrilla-3.0b2.dev22+gf7c4dff/src

hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/builder
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/common_jinja_templates
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/common_jinja_templates/import
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/common_jinja_templates/include
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/locales
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/locales/en_US
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/locales/en_US/LC_MESSAGES
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/mitmproxy_launcher
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies/info_pages_templates
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies/injectable_scripts
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/state_impl
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/state_impl/_operations
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui/templates
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui/templates/items
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui/templates/prompts
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui/templates/repos
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui/templates/rules
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server
hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server/templates
hydrilla-3.0b2.dev22+gf7c4dff/tests

files to hydrilla-3.0b2.dev22+gf7cd4dff...

COPYING -> hydrilla-3.0b2.dev22+gf7c4dff

MANIFEST.in -> hydrilla-3.0b2.dev22+gf7c4dff

Makefile -> hydrilla-3.0b2.dev22+gf7c4dff

README.md -> hydrilla-3.0b2.dev22+gf7c4dff

README.md.license —-> hydrilla-3.0b2.dev22+gf7c4dff

babel.cfg —-> hydrilla-3.0b2.dev22+gf7c4dff

bashrc —-> hydrilla-3.0b2.dev22+gf7c4dff

conftest.py —-> hydrilla-3.0b2.dev22+gf7c4dff

guix.scm —> hydrilla-3.0b2.dev22+gf7c4dff

mypy.ini -> hydrilla-3.0b2.dev22+gf7c4dff

pyproject.toml -> hydrilla-3.0b2.dev22+gf7c4dff

setup.cfg -> hydrilla-3.0b2.dev22+gf7c4dff

setup.py —-> hydrilla-3.0b2.dev22+gf7c4dff

.reuse/dep5 —-> hydrilla-3.0b2.dev22+gf7c4dff/.reuse
LICENSES/AGPL-3.0-or-later.txt —-> hydrilla-3.0b2.dev22+gf7c4dff/LICENSES
LICENSES/CC-BY-SA-4.0.txt —-> hydrilla-3.0b2.dev22+gf7c4dff/LICENSES
LICENSES/CC0-1.0.txt —> hydrilla-3.0b2.dev22+gf7c4dff/LICENSES
LICENSES/GPL-3.0-or-later.txt -> hydrilla-3.0b2.dev22+gf7c4dff/LICENSES
doc/examples/hydrilla.example.com.conf —> hydrilla-3.0b2.dev22+gf7c4dff/doc/examples
doc/examples/hydrilla.example.com.tls.conf —-> hydrilla-3.0b2.dev22+gf7c4dff/doc/examples
doc/examples/hydrilla.wsgi —> hydrilla-3.0b2.dev22+gf7c4dff/doc/examples
doc/man/manl/hydrilla-builder.l -> hydrilla-3.0b2.dev22+gf7c4dff/doc/man/manl
doc/man/manl/hydrilla.l -> hydrilla-3.0b2.dev22+gf7c4dff/doc/man/manl
hydrilla-guix/hydrilla.scm -> hydrilla-3.0b2.dev22+gf7c4dff/hydrilla-guix
src/hydrilla/__init___.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
src/hydrilla/_version.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
src/hydrilla/common_jinja_templates.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
src/hydrilla/exceptions.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
src/hydrilla/item_infos.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
src/hydrilla/json_instances.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
copying src/hydrilla/pattern_tree.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla

copying src/hydrilla/py.typed —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla

copying src/hydrilla/translations.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla

copying src/hydrilla/url_patterns.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla

copying src/hydrilla/versions.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla

copying src/hydrilla.egg-info/PKG-INFO -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info

copying src/hydrilla.egg-info/SOURCES.txt -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info

copying src/hydrilla.egg-info/dependency_links.txt -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info
copying src/hydrilla.egg-info/entry_points.txt -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info

copying src/hydrilla.egg-info/not-zip-safe -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info

copying src/hydrilla.egg-info/requires.txt —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info

copying src/hydrilla.egg-info/top_level.txt -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla.egg-info

copying src/hydrilla/builder/__init__.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/builder

copying src/hydrilla/builder/__main__.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/builder

copying src/hydrilla/builder/build.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/builder

copying src/hydrilla/builder/common_errors.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/builder

copying src/hydrilla/builder/local_apt.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/builder

copying src/hydrilla/builder/piggybacking.py -> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/builder

copying src/hydrilla/common_jinja_templates/base.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/comm
on_jinja_templates

copying src/hydrilla/common_jinja_templates/import/checkbox_tricks.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff
/src/hydrilla/common_jinja_templates/import

copying src/hydrilla/common_jinja_templates/include/checkbox_tricks_style.css.Jjinja —> hydrilla-3.0b2.dev22+gf
7c4dff/src/hydrilla/common_jinja_templates/include

copying src/hydrilla/common_jinja_templates/include/item_list_style.css.jinja -> hydrilla-3.0b2.dev22+gf7c4dff
/src/hydrilla/common_jinja_templates/include

copying src/hydrilla/locales/en_US/LC_MESSAGES/messages.po —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/local
es/en_US/LC_MESSAGES

copying src/hydrilla/mitmproxy_launcher/__init__.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/mitmproxy_1la
uncher

copying src/hydrilla/mitmproxy_launcher/__main___.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/mitmproxy_la
uncher

copying src/hydrilla/mitmproxy_launcher/addon_script.py.mitmproxy -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrill
a/mitmproxy_launcher

copying src/hydrilla/mitmproxy_launcher/launch.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/mitmproxy_laun
cher

copying src/hydrilla/proxy/__init___.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy

copying src/hydrilla/proxy/addon.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy

copying src/hydrilla/proxy/csp.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy

copying src/hydrilla/proxy/http_messages.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy

copying src/hydrilla/proxy/simple_dependency_satisfying.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy
copying src/hydrilla/proxy/state.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy

copying src/hydrilla/proxy/policies/__init__.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies
copying src/hydrilla/proxy/policies/base.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/policies
copying src/hydrilla/proxy/policies/misc.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies
copying src/hydrilla/proxy/policies/payload.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/policies
copying src/hydrilla/proxy/policies/payload_resource.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/po
licies

copying src/hydrilla/proxy/policies/rule.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies
copying src/hydrilla/proxy/policies/web_ui.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/policies
copying src/hydrilla/proxy/policies/info_pages_templates/info_base.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff
/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/js_error_blocked_info.html.jinja —-> hydrilla-3.0b2.de
v22+gf7c4dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/Jjs_fallback_allowed_info.html.Jjinja —-> hydrilla-3.0b2
.dev22+gf7c4dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/js_fallback_blocked_info.html.Jjinja -> hydrilla-3.0b2
.dev22+gficd4dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/js_rule_allowed_info.html.jinja -> hydrilla-3.0b2.dev
22+gf7c4dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/js_rule_blocked_info.html.Jjinja —-> hydrilla-3.0b2.dev
22+gf7c4dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/js_rule_info.html.Jjinja -> hydrilla-3.0b2.dev22+gf7c4
dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/payload_info.html.Jjinja —> hydrilla-3.0b2.dev22+gf7c4d
dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/info_pages_templates/special_page_info.html.Jjinja —-> hydrilla-3.0b2.dev22+
gf7c4dff/src/hydrilla/proxy/policies/info_pages_templates

copying src/hydrilla/proxy/policies/injectable_scripts/page_init_script.js.Jjinja —-> hydrilla-3.0b2.dev22+gf7c4
dff/src/hydrilla/proxy/policies/injectable_scripts

copying src/hydrilla/proxy/policies/injectable_scripts/popup.js.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/hyd
rilla/proxy/policies/injectable_scripts

copying src/hydrilla/proxy/state_impl/__init___.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/state_im
pl

copying src/hydrilla/proxy/state_impl/base.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/state_impl
copying src/hydrilla/proxy/state_impl/concrete_state.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/st
ate_impl

copying src/hydrilla/proxy/state_impl/items.py -> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/state_impl
copying src/hydrilla/proxy/state_impl/payloads.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/state_im
pl

copying src/hydrilla/proxy/state_impl/repos.py -> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/state_impl
copying src/hydrilla/proxy/state_impl/rules.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/state_impl
copying src/hydrilla/proxy/state_impl/tables.sqgl —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/state_imp
il

copying src/hydrilla/proxy/state_impl/_operations/__init___.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/pr
oxy/state_impl/_operations

copying src/hydrilla/proxy/state_impl/_operations/load_packages.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydril
la/proxy/state_impl/_operations

copying src/hydrilla/proxy/state_impl/_operations/prune_orphans.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydril
la/proxy/state_impl/_operations

copying src/hydrilla/proxy/state_impl/_operations/pull_missing_files.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/h
ydrilla/proxy/state_impl/_operations

copying src/hydrilla/proxy/state_impl/_operations/recompute_dependencies.py -> hydrilla-3.0b2.dev22+gf7c4dff/s
rc/hydrilla/proxy/state_impl/_operations

copying src/hydrilla/proxy/web_ui/__init__.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui
copying src/hydrilla/proxy/web_ui/_app.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui

copying src/hydrilla/proxy/web_ui/items.py -> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/web_ui

copying src/hydrilla/proxy/web_ui/items_import.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/web_ui
copying src/hydrilla/proxy/web_ui/prompts.py -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui
copying src/hydrilla/proxy/web_ui/repos.py -> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/proxy/web_ui

copying src/hydrilla/proxy/web_ui/root.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui

copying src/hydrilla/proxy/web_ui/rules.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/proxy/web_ui

copying src/hydrilla/proxy/web_ui/templates/hkt_mitm_it_base.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/h
ydrilla/proxy/web_ui/templates

copying src/hydrilla/proxy/web_ui/templates/import.html.jinja —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/pr
oxy/web_ui/templates

copying src/hydrilla/proxy/web_ui/templates/index.html.jinja —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/pro
xy/web_ui/templates

copying src/hydrilla/proxy/web_ui/templates/landing.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/p
roxy/web_ui/templates

copying src/hydrilla/proxy/web_ui/templates/web_ui_base.html.jinja —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydril
la/proxy/web_ui/templates

copying src/hydrilla/proxy/web_ui/templates/items/item_view.html.jinja —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hy
drilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/item_viewversion.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff
/src/hydrilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/libraries.html.jinja —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hy
drilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/library_view.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src
/hydrilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/library_viewversion.html.jinja -> hydrilla-3.0b2.dev22+gf7c4
dff/src/hydrilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/package_view.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src
/hydrilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/package_viewversion.html.jinja —> hydrilla-3.0b2.dev22+gf7c4d
dff/src/hydrilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/items/packages.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/hyd
rilla/proxy/web_ui/templates/items

copying src/hydrilla/proxy/web_ui/templates/prompts/auto_install_error.html.jinja -> hydrilla-3.0b2.dev22+gf7c
4dff/src/hydrilla/proxy/web_ui/templates/prompts

copying src/hydrilla/proxy/web_ui/templates/prompts/package_suggestion.html.jinja -> hydrilla-3.0b2.dev22+gfic
4dff/src/hydrilla/proxy/web_ui/templates/prompts

copying src/hydrilla/proxy/web_ui/templates/repos/add.html.jinja —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla
/proxy/web_ui/templates/repos

copying src/hydrilla/proxy/web_ui/templates/repos/index.html.jinja —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydril
la/proxy/web_ui/templates/repos

copying src/hydrilla/proxy/web_ui/templates/repos/show_single.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/
hydrilla/proxy/web_ui/templates/repos

copying src/hydrilla/proxy/web_ui/templates/rules/add.html.jinja —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla
/proxy/web_ui/templates/rules

copying src/hydrilla/proxy/web_ui/templates/rules/index.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydril
la/proxy/web_ui/templates/rules

copying src/hydrilla/proxy/web_ui/templates/rules/show_single.html.jinja -> hydrilla-3.0b2.dev22+gf7c4dff/src/
hydrilla/proxy/web_ui/templates/rules

copying src/hydrilla/server/__init__.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server

copying src/hydrilla/server/__main__.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server

copying src/hydrilla/server/config.json —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server

copying src/hydrilla/server/config.py —> hydrilla-3.0b2.dev22+gf7cd4dff/src/hydrilla/server

copying src/hydrilla/server/malcontent.py —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server

copying src/hydrilla/server/serve.py —-> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server
copying src/hydrilla/server/templates/base.html -> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server/templates
copying src/hydrilla/server/templates/index.html —> hydrilla-3.0b2.dev22+gf7c4dff/src/hydrilla/server/template
s

copying tests/__init__.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/config.json —-> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/helpers.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_build.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_item_infos.py —-> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_json_instances.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_local_apt.py —> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_pattern_tree.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_server.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_url_patterns.py —> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/test_versions.py —-> hydrilla-3.0b2.dev22+gf7c4dff/tests

copying tests/url_patterns_common.py -> hydrilla-3.0b2.dev22+gf7c4dff/tests

Writing hydrilla-3.0b2.dev22+gf7c4dff/setup.cfg

Creating tar archive

removing 'hydrilla-3.0b2.dev22+gf7c4dff' (and everything under it)

Successfully built hydrilla-3.0b2.dev22+gf7cd4dff.tar.gz

VER="$ (grep '“Version:' src/hydrilla.egg-info/PKG-INFO | cut -d' ' -f2)" &&
\

RELNAME=hydrilla-"$VER" && \

DISTFILE=dist/"$SRELNAME".tar.gz && \

make clean-source-tarball-repack && \

mkdir source-tarball-repack/ && \

tar -C source-tarball-repack/ -xf "$DISTFILE" && \

guix time-machine --commit=a86979b41a49a8fcdaa887970ba594dbba701226 —-- shell tar -- tar —--mtime='1970-01-0
1 00:00z2' --sort=name —--owner=0 —--group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=ati
me,delete=ctime -C source-tarball-repack/ \

—-cf "SDISTFILE" "SRELNAME"
make[l]: Entering directory '/home/jacobk/Programs/pydrilla'
rm —-rf source-tarball-repack/
make[l]: Leaving directory '/home/Jjacobk/Programs/pydrilla'
Generated source tarball in:
./dist/hydrilla-3.0b2.dev22+gf7c4dff.tar.gz

guix time-machine --commit=a86979b4la49a8fcdaa887970ba594dbba701226 —-- pack -L ./hydrilla-guix -RR hydrilla
\
-S /hydrilla=bin/hydrilla \
-S /hydrilla-builder=bin/hydrilla-builder \
-S /hydrilla-server=bin/hydrilla-server \
-S /haketilo=bin/haketilo | tee make-release.log
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%

The following derivation will be built:
/gnu/store/wcw6bn071lpywaqwzxhp5gffgdlggghajpb-hydrilla-3.0b2.dev22+gf7c4dff.drv

building /gnu/store/wcwén07lpywgwzxhp5gffgdlggghajp6-hydrilla-3.0b2.dev22+gf7c4dff.drv...

| 'check' phasebuilder for ' /gnu/store/wcwé6n07lpywgwzxhp5gffg4lggghajpbé-hydrilla-3.0b2.dev22+gf7c4dff.drv' fai
led with exit code 1

build of /gnu/store/wcwén07lpywqwzxhp5gffgdlggghajp6-hydrilla-3.0b2.dev22+gf7c4dff.drv failed

View build log at '/var/log/guix/drvs/wc/wén07lpywagwzxhp5gffg4lggghajp6-hydrilla-3.0b2.dev22+gf7c4dff.drv.gz'.
guix pack: error: build of '/gnu/store/wcw6n07lpywgwzxhp5gffgdlggghajp6-hydrilla-3.0b2.dev22+gf7c4dff.drv' fai
led

VER="$ (grep '“Version:' src/hydrilla.egg-info/PKG-INFO | cut -d' ' -f2)" &&
\

RELNAME=haketilo-and-hydrilla-bin-"$VER"-"S$ (arch)" && \

PACKFILE="S (tail -1 make-release.log)" && \

make clean-bin-tarball-repack && \

mkdir bin-tarball-repack/ && \

mkdir bin-tarball-repack/"$RELNAME" && \

tar -C bin-tarball-repack/"SRELNAME"/ -xf "SPACKFILE" && \

chmod -R +w bin-tarball-repack/"$SRELNAME" && \

guix time-machine --commit=a86979b41a49a8fcdaa887970ba594dbba701226 —-- shell tar -- tar —--mtime='1970-01-0
1 00:00z2' --sort=name —--owner=0 —--group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=ati
me, delete=ctime -C bin-tarball-repack/ \

—-cf "SRELNAME".tar.gz "SRELNAME"
make[1l]: Entering directory '/home/Jjacobk/Programs/pydrilla'
test -d bin-tarball-repack/ && chmod -R +w bin-tarball-repack/ || true
rm -rf bin-tarball-repack/
make[l]: Leaving directory '/home/Jjacobk/Programs/pydrilla'
tar: : Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
make: *** [Makefile:58: release] Error 2
Strangely, file dist/hydrilla-3.0b2.dev22+gf7c4dff.tar.gz prints dist/hydrilla-3.0b2.dev22+gf7c4dff.tar.gz: POSIX tar archive, and gzip -d
dist/hydrilla-3.0b2.dev22+gf7c4dff.tar.gz prints gzip: dist/hydrilla-3.0b2.dev22+gf7c4dff.tar.gz: not in gzip format. It does seem to be a valid tar file
with the source code though.

| can build v3.0b1, but not the latest koszko branch. Should | open up a new issue for this?

#24 - 10/26/2022 08:00 PM - koszko

| can build v3.0b1, but not the latest koszko branch. Should | open up a new issue for this?

You seriously scared me with this. But it's probably just missing git submodules :) What's needed is git clone --recursive or equivalent. | probably
ought to document this...

Anyway, if you experience further issues after cloning all git submodules, it's indeed a good idea to open a new issue. Otherwise, there's no need.
Btw, if curious, you can view the actual build log from Guix with

bunzip2 -c /var/log/guix/drvs/wc/wén07lpywgwzxhp5gffgdlggghajp6-hydrilla-3.0b2.dev22+gf7c4dff.drv.gz | less

#25 - 10/27/2022 01:10 AM - jacobk

Yep, that's what the problem was. After cloning the submodules properly, everything is working fine.

Thanks for all your help!

Files

patch.patch 853 Bytes 10/13/2022 koszko
